<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfAgedDebtorsCreditors ArrayType
 * @subpackage Arrays
 */
class ArrayOfAgedDebtorsCreditors extends AbstractStructArrayBase
{
    /**
     * The AgedDebtorsCreditors
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\AgedDebtorsCreditors[]
     */
    public $AgedDebtorsCreditors;
    /**
     * Constructor method for ArrayOfAgedDebtorsCreditors
     * @uses ArrayOfAgedDebtorsCreditors::setAgedDebtorsCreditors()
     * @param \StructType\AgedDebtorsCreditors[] $agedDebtorsCreditors
     */
    public function __construct(array $agedDebtorsCreditors = array())
    {
        $this
            ->setAgedDebtorsCreditors($agedDebtorsCreditors);
    }
    /**
     * Get AgedDebtorsCreditors value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\AgedDebtorsCreditors[]|null
     */
    public function getAgedDebtorsCreditors()
    {
        return isset($this->AgedDebtorsCreditors) ? $this->AgedDebtorsCreditors : null;
    }
    /**
     * Set AgedDebtorsCreditors value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\AgedDebtorsCreditors[] $agedDebtorsCreditors
     * @return \ArrayType\ArrayOfAgedDebtorsCreditors
     */
    public function setAgedDebtorsCreditors(array $agedDebtorsCreditors = array())
    {
        foreach ($agedDebtorsCreditors as $arrayOfAgedDebtorsCreditorsAgedDebtorsCreditorsItem) {
            // validation for constraint: itemType
            if (!$arrayOfAgedDebtorsCreditorsAgedDebtorsCreditorsItem instanceof \StructType\AgedDebtorsCreditors) {
                throw new \InvalidArgumentException(sprintf('The AgedDebtorsCreditors property can only contain items of \StructType\AgedDebtorsCreditors, "%s" given', is_object($arrayOfAgedDebtorsCreditorsAgedDebtorsCreditorsItem) ? get_class($arrayOfAgedDebtorsCreditorsAgedDebtorsCreditorsItem) : gettype($arrayOfAgedDebtorsCreditorsAgedDebtorsCreditorsItem)), __LINE__);
            }
        }
        if (is_null($agedDebtorsCreditors) || (is_array($agedDebtorsCreditors) && empty($agedDebtorsCreditors))) {
            unset($this->AgedDebtorsCreditors);
        } else {
            $this->AgedDebtorsCreditors = $agedDebtorsCreditors;
        }
        return $this;
    }
    /**
     * Add item to AgedDebtorsCreditors value
     * @throws \InvalidArgumentException
     * @param \StructType\AgedDebtorsCreditors $item
     * @return \ArrayType\ArrayOfAgedDebtorsCreditors
     */
    public function addToAgedDebtorsCreditors(\StructType\AgedDebtorsCreditors $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\AgedDebtorsCreditors) {
            throw new \InvalidArgumentException(sprintf('The AgedDebtorsCreditors property can only contain items of \StructType\AgedDebtorsCreditors, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->AgedDebtorsCreditors[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\AgedDebtorsCreditors|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\AgedDebtorsCreditors|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\AgedDebtorsCreditors|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\AgedDebtorsCreditors|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\AgedDebtorsCreditors|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string AgedDebtorsCreditors
     */
    public function getAttributeName()
    {
        return 'AgedDebtorsCreditors';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfAgedDebtorsCreditors
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
