<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfInvoice ArrayType
 * @subpackage Arrays
 */
class ArrayOfInvoice extends AbstractStructArrayBase
{
    /**
     * The Invoice
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Invoice[]
     */
    public $Invoice;
    /**
     * Constructor method for ArrayOfInvoice
     * @uses ArrayOfInvoice::setInvoice()
     * @param \StructType\Invoice[] $invoice
     */
    public function __construct(array $invoice = array())
    {
        $this
            ->setInvoice($invoice);
    }
    /**
     * Get Invoice value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Invoice[]|null
     */
    public function getInvoice()
    {
        return isset($this->Invoice) ? $this->Invoice : null;
    }
    /**
     * Set Invoice value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Invoice[] $invoice
     * @return \ArrayType\ArrayOfInvoice
     */
    public function setInvoice(array $invoice = array())
    {
        foreach ($invoice as $arrayOfInvoiceInvoiceItem) {
            // validation for constraint: itemType
            if (!$arrayOfInvoiceInvoiceItem instanceof \StructType\Invoice) {
                throw new \InvalidArgumentException(sprintf('The Invoice property can only contain items of \StructType\Invoice, "%s" given', is_object($arrayOfInvoiceInvoiceItem) ? get_class($arrayOfInvoiceInvoiceItem) : gettype($arrayOfInvoiceInvoiceItem)), __LINE__);
            }
        }
        if (is_null($invoice) || (is_array($invoice) && empty($invoice))) {
            unset($this->Invoice);
        } else {
            $this->Invoice = $invoice;
        }
        return $this;
    }
    /**
     * Add item to Invoice value
     * @throws \InvalidArgumentException
     * @param \StructType\Invoice $item
     * @return \ArrayType\ArrayOfInvoice
     */
    public function addToInvoice(\StructType\Invoice $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Invoice) {
            throw new \InvalidArgumentException(sprintf('The Invoice property can only contain items of \StructType\Invoice, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->Invoice[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\Invoice|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\Invoice|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\Invoice|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\Invoice|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\Invoice|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string Invoice
     */
    public function getAttributeName()
    {
        return 'Invoice';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfInvoice
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
