<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfInvoice_TypeDefined ArrayType
 * @subpackage Arrays
 */
class ArrayOfInvoice_TypeDefined extends AbstractStructArrayBase
{
    /**
     * The Invoice_TypeDefined
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Invoice_TypeDefined[]
     */
    public $Invoice_TypeDefined;
    /**
     * Constructor method for ArrayOfInvoice_TypeDefined
     * @uses ArrayOfInvoice_TypeDefined::setInvoice_TypeDefined()
     * @param \StructType\Invoice_TypeDefined[] $invoice_TypeDefined
     */
    public function __construct(array $invoice_TypeDefined = array())
    {
        $this
            ->setInvoice_TypeDefined($invoice_TypeDefined);
    }
    /**
     * Get Invoice_TypeDefined value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Invoice_TypeDefined[]|null
     */
    public function getInvoice_TypeDefined()
    {
        return isset($this->Invoice_TypeDefined) ? $this->Invoice_TypeDefined : null;
    }
    /**
     * Set Invoice_TypeDefined value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Invoice_TypeDefined[] $invoice_TypeDefined
     * @return \ArrayType\ArrayOfInvoice_TypeDefined
     */
    public function setInvoice_TypeDefined(array $invoice_TypeDefined = array())
    {
        foreach ($invoice_TypeDefined as $arrayOfInvoice_TypeDefinedInvoice_TypeDefinedItem) {
            // validation for constraint: itemType
            if (!$arrayOfInvoice_TypeDefinedInvoice_TypeDefinedItem instanceof \StructType\Invoice_TypeDefined) {
                throw new \InvalidArgumentException(sprintf('The Invoice_TypeDefined property can only contain items of \StructType\Invoice_TypeDefined, "%s" given', is_object($arrayOfInvoice_TypeDefinedInvoice_TypeDefinedItem) ? get_class($arrayOfInvoice_TypeDefinedInvoice_TypeDefinedItem) : gettype($arrayOfInvoice_TypeDefinedInvoice_TypeDefinedItem)), __LINE__);
            }
        }
        if (is_null($invoice_TypeDefined) || (is_array($invoice_TypeDefined) && empty($invoice_TypeDefined))) {
            unset($this->Invoice_TypeDefined);
        } else {
            $this->Invoice_TypeDefined = $invoice_TypeDefined;
        }
        return $this;
    }
    /**
     * Add item to Invoice_TypeDefined value
     * @throws \InvalidArgumentException
     * @param \StructType\Invoice_TypeDefined $item
     * @return \ArrayType\ArrayOfInvoice_TypeDefined
     */
    public function addToInvoice_TypeDefined(\StructType\Invoice_TypeDefined $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Invoice_TypeDefined) {
            throw new \InvalidArgumentException(sprintf('The Invoice_TypeDefined property can only contain items of \StructType\Invoice_TypeDefined, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->Invoice_TypeDefined[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\Invoice_TypeDefined|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\Invoice_TypeDefined|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\Invoice_TypeDefined|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\Invoice_TypeDefined|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\Invoice_TypeDefined|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string Invoice_TypeDefined
     */
    public function getAttributeName()
    {
        return 'Invoice_TypeDefined';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfInvoice_TypeDefined
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
