<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfProductsFull ArrayType
 * @subpackage Arrays
 */
class ArrayOfProductsFull extends AbstractStructArrayBase
{
    /**
     * The ProductsFull
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ProductsFull[]
     */
    public $ProductsFull;
    /**
     * Constructor method for ArrayOfProductsFull
     * @uses ArrayOfProductsFull::setProductsFull()
     * @param \StructType\ProductsFull[] $productsFull
     */
    public function __construct(array $productsFull = array())
    {
        $this
            ->setProductsFull($productsFull);
    }
    /**
     * Get ProductsFull value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ProductsFull[]|null
     */
    public function getProductsFull()
    {
        return isset($this->ProductsFull) ? $this->ProductsFull : null;
    }
    /**
     * Set ProductsFull value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ProductsFull[] $productsFull
     * @return \ArrayType\ArrayOfProductsFull
     */
    public function setProductsFull(array $productsFull = array())
    {
        foreach ($productsFull as $arrayOfProductsFullProductsFullItem) {
            // validation for constraint: itemType
            if (!$arrayOfProductsFullProductsFullItem instanceof \StructType\ProductsFull) {
                throw new \InvalidArgumentException(sprintf('The ProductsFull property can only contain items of \StructType\ProductsFull, "%s" given', is_object($arrayOfProductsFullProductsFullItem) ? get_class($arrayOfProductsFullProductsFullItem) : gettype($arrayOfProductsFullProductsFullItem)), __LINE__);
            }
        }
        if (is_null($productsFull) || (is_array($productsFull) && empty($productsFull))) {
            unset($this->ProductsFull);
        } else {
            $this->ProductsFull = $productsFull;
        }
        return $this;
    }
    /**
     * Add item to ProductsFull value
     * @throws \InvalidArgumentException
     * @param \StructType\ProductsFull $item
     * @return \ArrayType\ArrayOfProductsFull
     */
    public function addToProductsFull(\StructType\ProductsFull $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ProductsFull) {
            throw new \InvalidArgumentException(sprintf('The ProductsFull property can only contain items of \StructType\ProductsFull, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->ProductsFull[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ProductsFull|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ProductsFull|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ProductsFull|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ProductsFull|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ProductsFull|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ProductsFull
     */
    public function getAttributeName()
    {
        return 'ProductsFull';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfProductsFull
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
