<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfReceiptNotes ArrayType
 * @subpackage Arrays
 */
class ArrayOfReceiptNotes extends AbstractStructArrayBase
{
    /**
     * The ReceiptNotes
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ReceiptNotes[]
     */
    public $ReceiptNotes;
    /**
     * Constructor method for ArrayOfReceiptNotes
     * @uses ArrayOfReceiptNotes::setReceiptNotes()
     * @param \StructType\ReceiptNotes[] $receiptNotes
     */
    public function __construct(array $receiptNotes = array())
    {
        $this
            ->setReceiptNotes($receiptNotes);
    }
    /**
     * Get ReceiptNotes value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ReceiptNotes[]|null
     */
    public function getReceiptNotes()
    {
        return isset($this->ReceiptNotes) ? $this->ReceiptNotes : null;
    }
    /**
     * Set ReceiptNotes value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ReceiptNotes[] $receiptNotes
     * @return \ArrayType\ArrayOfReceiptNotes
     */
    public function setReceiptNotes(array $receiptNotes = array())
    {
        foreach ($receiptNotes as $arrayOfReceiptNotesReceiptNotesItem) {
            // validation for constraint: itemType
            if (!$arrayOfReceiptNotesReceiptNotesItem instanceof \StructType\ReceiptNotes) {
                throw new \InvalidArgumentException(sprintf('The ReceiptNotes property can only contain items of \StructType\ReceiptNotes, "%s" given', is_object($arrayOfReceiptNotesReceiptNotesItem) ? get_class($arrayOfReceiptNotesReceiptNotesItem) : gettype($arrayOfReceiptNotesReceiptNotesItem)), __LINE__);
            }
        }
        if (is_null($receiptNotes) || (is_array($receiptNotes) && empty($receiptNotes))) {
            unset($this->ReceiptNotes);
        } else {
            $this->ReceiptNotes = $receiptNotes;
        }
        return $this;
    }
    /**
     * Add item to ReceiptNotes value
     * @throws \InvalidArgumentException
     * @param \StructType\ReceiptNotes $item
     * @return \ArrayType\ArrayOfReceiptNotes
     */
    public function addToReceiptNotes(\StructType\ReceiptNotes $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ReceiptNotes) {
            throw new \InvalidArgumentException(sprintf('The ReceiptNotes property can only contain items of \StructType\ReceiptNotes, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->ReceiptNotes[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ReceiptNotes|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ReceiptNotes|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ReceiptNotes|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ReceiptNotes|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ReceiptNotes|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ReceiptNotes
     */
    public function getAttributeName()
    {
        return 'ReceiptNotes';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfReceiptNotes
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
