<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'UpdateCustomer' => '\\StructType\\UpdateCustomer',
            'Customer' => '\\StructType\\Customer',
            'UpdateCustomerResponse' => '\\StructType\\UpdateCustomerResponse',
            'SearchCustomerByCustText' => '\\StructType\\SearchCustomerByCustText',
            'SearchCustomerByCustTextResponse' => '\\StructType\\SearchCustomerByCustTextResponse',
            'SetCustomerVATNumber' => '\\StructType\\SetCustomerVATNumber',
            'SetCustomerVATNumberResponse' => '\\StructType\\SetCustomerVATNumberResponse',
            'GetCustomerCurrency' => '\\StructType\\GetCustomerCurrency',
            'GetCustomerCurrencyResponse' => '\\StructType\\GetCustomerCurrencyResponse',
            'SetCustomerCurrency' => '\\StructType\\SetCustomerCurrency',
            'SetCustomerCurrencyResponse' => '\\StructType\\SetCustomerCurrencyResponse',
            'DeleteCustomer' => '\\StructType\\DeleteCustomer',
            'DeleteCustomerResponse' => '\\StructType\\DeleteCustomerResponse',
            'GetCustomerSources' => '\\StructType\\GetCustomerSources',
            'GetCustomerSourcesResponse' => '\\StructType\\GetCustomerSourcesResponse',
            'ArrayOfBasicDataset' => '\\ArrayType\\ArrayOfBasicDataset',
            'BasicDataset' => '\\StructType\\BasicDataset',
            'GetCustomersByPostcode' => '\\StructType\\GetCustomersByPostcode',
            'GetCustomersByPostcodeResponse' => '\\StructType\\GetCustomersByPostcodeResponse',
            'ArrayOfCustomer' => '\\ArrayType\\ArrayOfCustomer',
            'GetCustomerBalance' => '\\StructType\\GetCustomerBalance',
            'GetCustomerBalanceResponse' => '\\StructType\\GetCustomerBalanceResponse',
            'CustomerBalance' => '\\StructType\\CustomerBalance',
            'GetCustomerAdvancePayments' => '\\StructType\\GetCustomerAdvancePayments',
            'GetCustomerAdvancePaymentsResponse' => '\\StructType\\GetCustomerAdvancePaymentsResponse',
            'ArrayOfBankTransaction' => '\\ArrayType\\ArrayOfBankTransaction',
            'BankTransaction' => '\\StructType\\BankTransaction',
            'InsertOrUpdateProject' => '\\StructType\\InsertOrUpdateProject',
            'Project' => '\\StructType\\Project',
            'InsertOrUpdateProjectResponse' => '\\StructType\\InsertOrUpdateProjectResponse',
            'GetProjects_Full' => '\\StructType\\GetProjects_Full',
            'GetProjects_FullResponse' => '\\StructType\\GetProjects_FullResponse',
            'ArrayOfProject' => '\\ArrayType\\ArrayOfProject',
            'GetProjects' => '\\StructType\\GetProjects',
            'GetProjectsResponse' => '\\StructType\\GetProjectsResponse',
            'GetProjectById' => '\\StructType\\GetProjectById',
            'GetProjectByIdResponse' => '\\StructType\\GetProjectByIdResponse',
            'GetProjectByRef' => '\\StructType\\GetProjectByRef',
            'GetProjectByRefResponse' => '\\StructType\\GetProjectByRefResponse',
            'GetProjectByName' => '\\StructType\\GetProjectByName',
            'GetProjectByNameResponse' => '\\StructType\\GetProjectByNameResponse',
            'InsertSupplier' => '\\StructType\\InsertSupplier',
            'Supplier' => '\\StructType\\Supplier',
            'InsertSupplierResponse' => '\\StructType\\InsertSupplierResponse',
            'GetSupplierVATNumber' => '\\StructType\\GetSupplierVATNumber',
            'GetSupplierVATNumberResponse' => '\\StructType\\GetSupplierVATNumberResponse',
            'GetSupplier' => '\\StructType\\GetSupplier',
            'GetSupplierResponse' => '\\StructType\\GetSupplierResponse',
            'GetSuppliers' => '\\StructType\\GetSuppliers',
            'GetSuppliersResponse' => '\\StructType\\GetSuppliersResponse',
            'ArrayOfSupplier' => '\\ArrayType\\ArrayOfSupplier',
            'UpdateSupplier' => '\\StructType\\UpdateSupplier',
            'UpdateSupplierResponse' => '\\StructType\\UpdateSupplierResponse',
            'SetSupplierVATNumber' => '\\StructType\\SetSupplierVATNumber',
            'SetSupplierVATNumberResponse' => '\\StructType\\SetSupplierVATNumberResponse',
            'GetSupplierCurrency' => '\\StructType\\GetSupplierCurrency',
            'GetSupplierCurrencyResponse' => '\\StructType\\GetSupplierCurrencyResponse',
            'SetSupplierCurrency' => '\\StructType\\SetSupplierCurrency',
            'SetSupplierCurrencyResponse' => '\\StructType\\SetSupplierCurrencyResponse',
            'GetSupplierByID' => '\\StructType\\GetSupplierByID',
            'GetSupplierByIDResponse' => '\\StructType\\GetSupplierByIDResponse',
            'DeleteSupplier' => '\\StructType\\DeleteSupplier',
            'DeleteSupplierResponse' => '\\StructType\\DeleteSupplierResponse',
            'CreateBankAccount' => '\\StructType\\CreateBankAccount',
            'CreateBankAccountResponse' => '\\StructType\\CreateBankAccountResponse',
            'GetBankBalance' => '\\StructType\\GetBankBalance',
            'GetBankBalanceResponse' => '\\StructType\\GetBankBalanceResponse',
            'GetBankAccounts' => '\\StructType\\GetBankAccounts',
            'GetBankAccountsResponse' => '\\StructType\\GetBankAccountsResponse',
            'ArrayOfBankAccount' => '\\ArrayType\\ArrayOfBankAccount',
            'BankAccount' => '\\StructType\\BankAccount',
            'GetBankTxTypes' => '\\StructType\\GetBankTxTypes',
            'GetBankTxTypesResponse' => '\\StructType\\GetBankTxTypesResponse',
            'ArrayOfBankTXType' => '\\ArrayType\\ArrayOfBankTXType',
            'BankTXType' => '\\StructType\\BankTXType',
            'GetBankTransactions' => '\\StructType\\GetBankTransactions',
            'GetBankTransactionsResponse' => '\\StructType\\GetBankTransactionsResponse',
            'InsertBankTransaction' => '\\StructType\\InsertBankTransaction',
            'InsertBankTransactionResponse' => '\\StructType\\InsertBankTransactionResponse',
            'UpdateBankTransaction' => '\\StructType\\UpdateBankTransaction',
            'UpdateBankTransactionResponse' => '\\StructType\\UpdateBankTransactionResponse',
            'DeleteBankTransaction' => '\\StructType\\DeleteBankTransaction',
            'DeleteBankTransactionResponse' => '\\StructType\\DeleteBankTransactionResponse',
            'GetBalanceSheet' => '\\StructType\\GetBalanceSheet',
            'GetBalanceSheetResponse' => '\\StructType\\GetBalanceSheetResponse',
            'BalanceSheet' => '\\StructType\\BalanceSheet',
            'ArrayOfAnyType' => '\\ArrayType\\ArrayOfAnyType',
            'Payment' => '\\StructType\\Payment',
            'PaymentMethod' => '\\StructType\\PaymentMethod',
            'InvoiceLine' => '\\StructType\\InvoiceLine',
            'JournalLine' => '\\StructType\\JournalLine',
            'AgedDebtorsCreditors' => '\\StructType\\AgedDebtorsCreditors',
            'TransactionInformation' => '\\StructType\\TransactionInformation',
            'VATReport' => '\\StructType\\VATReport',
            'MonthlyPL' => '\\StructType\\MonthlyPL',
            'NominalCode' => '\\StructType\\NominalCode',
            'GetProfitAndLoss' => '\\StructType\\GetProfitAndLoss',
            'ProfitAndLoss' => '\\StructType\\ProfitAndLoss',
            'GetProfitAndLossResponse' => '\\StructType\\GetProfitAndLossResponse',
            'GetMonthlyProfitAndLoss' => '\\StructType\\GetMonthlyProfitAndLoss',
            'ArrayOfMonthlyPL' => '\\ArrayType\\ArrayOfMonthlyPL',
            'GetMonthlyProfitAndLossResponse' => '\\StructType\\GetMonthlyProfitAndLossResponse',
            'GetTrialBalance' => '\\StructType\\GetTrialBalance',
            'ArrayOfNominalCode' => '\\ArrayType\\ArrayOfNominalCode',
            'GetTrialBalanceResponse' => '\\StructType\\GetTrialBalanceResponse',
            'GetTrialBalanceWithOpeningBalances' => '\\StructType\\GetTrialBalanceWithOpeningBalances',
            'ArrayOfNominalCodeBalance' => '\\ArrayType\\ArrayOfNominalCodeBalance',
            'NominalCodeBalance' => '\\StructType\\NominalCodeBalance',
            'GetTrialBalanceWithOpeningBalancesResponse' => '\\StructType\\GetTrialBalanceWithOpeningBalancesResponse',
            'GetVATReport' => '\\StructType\\GetVATReport',
            'GetVATReportResponse' => '\\StructType\\GetVATReportResponse',
            'GetDigitaCSVFile' => '\\StructType\\GetDigitaCSVFile',
            'GetDigitaCSVFileResponse' => '\\StructType\\GetDigitaCSVFileResponse',
            'GetNominalLedger' => '\\StructType\\GetNominalLedger',
            'ArrayOfTransactionInformation' => '\\ArrayType\\ArrayOfTransactionInformation',
            'GetNominalLedgerResponse' => '\\StructType\\GetNominalLedgerResponse',
            'GetAgedDebtors' => '\\StructType\\GetAgedDebtors',
            'ArrayOfAgedDebtorsCreditors' => '\\ArrayType\\ArrayOfAgedDebtorsCreditors',
            'GetAgedDebtorsResponse' => '\\StructType\\GetAgedDebtorsResponse',
            'GetAgedCreditors' => '\\StructType\\GetAgedCreditors',
            'GetAgedCreditorsResponse' => '\\StructType\\GetAgedCreditorsResponse',
            'GetIncomeByCustomer' => '\\StructType\\GetIncomeByCustomer',
            'GetIncomeByCustomerResponse' => '\\StructType\\GetIncomeByCustomerResponse',
            'InsertJournal' => '\\StructType\\InsertJournal',
            'JournalEntry' => '\\StructType\\JournalEntry',
            'InsertJournalResponse' => '\\StructType\\InsertJournalResponse',
            'UpdateJournal' => '\\StructType\\UpdateJournal',
            'UpdateJournalResponse' => '\\StructType\\UpdateJournalResponse',
            'UpdateJournalHeader' => '\\StructType\\UpdateJournalHeader',
            'UpdateJournalHeaderResponse' => '\\StructType\\UpdateJournalHeaderResponse',
            'GetJournals' => '\\StructType\\GetJournals',
            'ArrayOfJournalEntry' => '\\ArrayType\\ArrayOfJournalEntry',
            'GetJournalsResponse' => '\\StructType\\GetJournalsResponse',
            'GetJournal' => '\\StructType\\GetJournal',
            'GetJournalResponse' => '\\StructType\\GetJournalResponse',
            'DeleteJournal' => '\\StructType\\DeleteJournal',
            'DeleteJournalResponse' => '\\StructType\\DeleteJournalResponse',
            'DeleteJournalByID' => '\\StructType\\DeleteJournalByID',
            'DeleteJournalByIDResponse' => '\\StructType\\DeleteJournalByIDResponse',
            'VCFToCustomerObjects' => '\\StructType\\VCFToCustomerObjects',
            'VCFToCustomerObjectsResponse' => '\\StructType\\VCFToCustomerObjectsResponse',
            'GetBankOverview' => '\\StructType\\GetBankOverview',
            'BankOverview' => '\\StructType\\BankOverview',
            'ArrayOfBankOverview' => '\\ArrayType\\ArrayOfBankOverview',
            'GetBankOverviewResponse' => '\\StructType\\GetBankOverviewResponse',
            'GetAccountOverview' => '\\StructType\\GetAccountOverview',
            'AccountOverview' => '\\StructType\\AccountOverview',
            'GetAccountOverviewResponse' => '\\StructType\\GetAccountOverviewResponse',
            'GetCurrencies' => '\\StructType\\GetCurrencies',
            'Currencies' => '\\StructType\\Currencies',
            'ArrayOfCurrencies' => '\\ArrayType\\ArrayOfCurrencies',
            'GetCurrenciesResponse' => '\\StructType\\GetCurrenciesResponse',
            'GetUserAccountDefaults' => '\\StructType\\GetUserAccountDefaults',
            'UserAccountDefaults' => '\\StructType\\UserAccountDefaults',
            'GetUserAccountDefaultsResponse' => '\\StructType\\GetUserAccountDefaultsResponse',
            'GetUserAccountDefaults_TypeDefined' => '\\StructType\\GetUserAccountDefaults_TypeDefined',
            'UserAccountDefaults_TypeDefined' => '\\StructType\\UserAccountDefaults_TypeDefined',
            'GetUserAccountDefaults_TypeDefinedResponse' => '\\StructType\\GetUserAccountDefaults_TypeDefinedResponse',
            'AttachFileToReceipt' => '\\StructType\\AttachFileToReceipt',
            'AttachFileToReceiptResponse' => '\\StructType\\AttachFileToReceiptResponse',
            'GetReceiptAttachments' => '\\StructType\\GetReceiptAttachments',
            'ReceiptAttachment' => '\\StructType\\ReceiptAttachment',
            'ArrayOfReceiptAttachment' => '\\ArrayType\\ArrayOfReceiptAttachment',
            'GetReceiptAttachmentsResponse' => '\\StructType\\GetReceiptAttachmentsResponse',
            'DeleteReceiptAttachment' => '\\StructType\\DeleteReceiptAttachment',
            'DeleteReceiptAttachmentResponse' => '\\StructType\\DeleteReceiptAttachmentResponse',
            'AutoAuthIP' => '\\StructType\\AutoAuthIP',
            'AutoAuthIPResponse' => '\\StructType\\AutoAuthIPResponse',
            'GetRemoteLoginURL' => '\\StructType\\GetRemoteLoginURL',
            'GetRemoteLoginURLResponse' => '\\StructType\\GetRemoteLoginURLResponse',
            'createAccount' => '\\StructType\\CreateAccount',
            'createAccountResponse' => '\\StructType\\CreateAccountResponse',
            'isUserVATRegistered' => '\\StructType\\IsUserVATRegistered',
            'isUserVATRegisteredResponse' => '\\StructType\\IsUserVATRegisteredResponse',
            'GetProducts' => '\\StructType\\GetProducts',
            'Product' => '\\StructType\\Product',
            'ArrayOfProduct' => '\\ArrayType\\ArrayOfProduct',
            'GetProductsResponse' => '\\StructType\\GetProductsResponse',
            'AddOrUpdateSubProduct' => '\\StructType\\AddOrUpdateSubProduct',
            'SubProduct' => '\\StructType\\SubProduct',
            'AddOrUpdateSubProductResponse' => '\\StructType\\AddOrUpdateSubProductResponse',
            'GetSubProducts' => '\\StructType\\GetSubProducts',
            'ArrayOfSubProduct' => '\\ArrayType\\ArrayOfSubProduct',
            'GetSubProductsResponse' => '\\StructType\\GetSubProductsResponse',
            'GetSubProductByID' => '\\StructType\\GetSubProductByID',
            'GetSubProductByIDResponse' => '\\StructType\\GetSubProductByIDResponse',
            'GetSubProductByCode' => '\\StructType\\GetSubProductByCode',
            'GetSubProductByCodeResponse' => '\\StructType\\GetSubProductByCodeResponse',
            'GetProductsWithSubProducts' => '\\StructType\\GetProductsWithSubProducts',
            'ArrayOfProductsFull' => '\\ArrayType\\ArrayOfProductsFull',
            'ProductsFull' => '\\StructType\\ProductsFull',
            'GetProductsWithSubProductsResponse' => '\\StructType\\GetProductsWithSubProductsResponse',
            'GetNominalCodes' => '\\StructType\\GetNominalCodes',
            'GetNominalCodesResponse' => '\\StructType\\GetNominalCodesResponse',
            'InsertNominalCode' => '\\StructType\\InsertNominalCode',
            'InsertNominalCodeResponse' => '\\StructType\\InsertNominalCodeResponse',
            'GetNominalCodesExtended' => '\\StructType\\GetNominalCodesExtended',
            'NominalCodeExtended' => '\\StructType\\NominalCodeExtended',
            'ArrayOfNominalCodeExtended' => '\\ArrayType\\ArrayOfNominalCodeExtended',
            'GetNominalCodesExtendedResponse' => '\\StructType\\GetNominalCodesExtendedResponse',
            'GetKPIs' => '\\StructType\\GetKPIs',
            'GetKPIsResponse' => '\\StructType\\GetKPIsResponse',
            'GetVATRates' => '\\StructType\\GetVATRates',
            'GetVATRatesResponse' => '\\StructType\\GetVATRatesResponse',
            'GetCompanyDetails' => '\\StructType\\GetCompanyDetails',
            'CompanyDetails' => '\\StructType\\CompanyDetails',
            'GetCompanyDetailsResponse' => '\\StructType\\GetCompanyDetailsResponse',
            'IsOneSaaSEnabled' => '\\StructType\\IsOneSaaSEnabled',
            'IsOneSaaSEnabledResponse' => '\\StructType\\IsOneSaaSEnabledResponse',
            'SageFile' => '\\StructType\\SageFile',
            'SageFileResponse' => '\\StructType\\SageFileResponse',
            'SageFileImport' => '\\StructType\\SageFileImport',
            'SageFileImportResponse' => '\\StructType\\SageFileImportResponse',
            'InsertQuote' => '\\StructType\\InsertQuote',
            'Invoice' => '\\StructType\\Invoice',
            'DeliveryAddress' => '\\StructType\\DeliveryAddress',
            'InsertQuoteResponse' => '\\StructType\\InsertQuoteResponse',
            'InsertQuoteLine' => '\\StructType\\InsertQuoteLine',
            'InsertQuoteLineResponse' => '\\StructType\\InsertQuoteLineResponse',
            'GetQuoteByID' => '\\StructType\\GetQuoteByID',
            'GetQuoteByIDResponse' => '\\StructType\\GetQuoteByIDResponse',
            'GetQuoteByNumber' => '\\StructType\\GetQuoteByNumber',
            'GetQuoteByNumberResponse' => '\\StructType\\GetQuoteByNumberResponse',
            'GetQuotes_Recent' => '\\StructType\\GetQuotes_Recent',
            'ArrayOfInvoice' => '\\ArrayType\\ArrayOfInvoice',
            'GetQuotes_RecentResponse' => '\\StructType\\GetQuotes_RecentResponse',
            'GetQuotes' => '\\StructType\\GetQuotes',
            'GetQuotesResponse' => '\\StructType\\GetQuotesResponse',
            'GetQuotesForCustomer' => '\\StructType\\GetQuotesForCustomer',
            'GetQuotesForCustomerResponse' => '\\StructType\\GetQuotesForCustomerResponse',
            'ConvertQuoteToInvoice' => '\\StructType\\ConvertQuoteToInvoice',
            'ConvertQuoteToInvoiceResponse' => '\\StructType\\ConvertQuoteToInvoiceResponse',
            'applyCreditNoteToInvoice' => '\\StructType\\ApplyCreditNoteToInvoice',
            'applyCreditNoteToInvoiceResponse' => '\\StructType\\ApplyCreditNoteToInvoiceResponse',
            'isStillQuote' => '\\StructType\\IsStillQuote',
            'isStillQuoteResponse' => '\\StructType\\IsStillQuoteResponse',
            'UpdateQuote' => '\\StructType\\UpdateQuote',
            'UpdateQuoteResponse' => '\\StructType\\UpdateQuoteResponse',
            'UpdateQuoteHeader' => '\\StructType\\UpdateQuoteHeader',
            'UpdateQuoteHeaderResponse' => '\\StructType\\UpdateQuoteHeaderResponse',
            'DeleteQuote' => '\\StructType\\DeleteQuote',
            'DeleteQuoteResponse' => '\\StructType\\DeleteQuoteResponse',
            'DeleteQuoteByID' => '\\StructType\\DeleteQuoteByID',
            'DeleteQuoteByIDResponse' => '\\StructType\\DeleteQuoteByIDResponse',
            'DeleteQuoteLineWithQuoteID' => '\\StructType\\DeleteQuoteLineWithQuoteID',
            'DeleteQuoteLineWithQuoteIDResponse' => '\\StructType\\DeleteQuoteLineWithQuoteIDResponse',
            'DeleteQuoteLine' => '\\StructType\\DeleteQuoteLine',
            'DeleteQuoteLineResponse' => '\\StructType\\DeleteQuoteLineResponse',
            'GetInvoiceByID' => '\\StructType\\GetInvoiceByID',
            'GetInvoiceByIDResponse' => '\\StructType\\GetInvoiceByIDResponse',
            'GetInvoice' => '\\StructType\\GetInvoice',
            'GetInvoiceResponse' => '\\StructType\\GetInvoiceResponse',
            'GetInvoice_TypeDefined' => '\\StructType\\GetInvoice_TypeDefined',
            'Invoice_TypeDefined' => '\\StructType\\Invoice_TypeDefined',
            'ArrayOfInvoiceLine' => '\\ArrayType\\ArrayOfInvoiceLine',
            'GetInvoice_TypeDefinedResponse' => '\\StructType\\GetInvoice_TypeDefinedResponse',
            'PrintInvoice' => '\\StructType\\PrintInvoice',
            'PrintInvoiceResponse' => '\\StructType\\PrintInvoiceResponse',
            'EmailInvoice' => '\\StructType\\EmailInvoice',
            'EmailInvoiceResponse' => '\\StructType\\EmailInvoiceResponse',
            'GetInvoicesByDateRange' => '\\StructType\\GetInvoicesByDateRange',
            'GetInvoicesByDateRangeResponse' => '\\StructType\\GetInvoicesByDateRangeResponse',
            'GetInvoicesForCustomer' => '\\StructType\\GetInvoicesForCustomer',
            'GetInvoicesForCustomerResponse' => '\\StructType\\GetInvoicesForCustomerResponse',
            'GetInvoices_Unpaid' => '\\StructType\\GetInvoices_Unpaid',
            'GetInvoices_UnpaidResponse' => '\\StructType\\GetInvoices_UnpaidResponse',
            'GetInvoices_Unpaid_TypeDefined' => '\\StructType\\GetInvoices_Unpaid_TypeDefined',
            'ArrayOfInvoice_TypeDefined' => '\\ArrayType\\ArrayOfInvoice_TypeDefined',
            'GetInvoices_Unpaid_TypeDefinedResponse' => '\\StructType\\GetInvoices_Unpaid_TypeDefinedResponse',
            'GetInvoices_Overdue' => '\\StructType\\GetInvoices_Overdue',
            'GetInvoices_OverdueResponse' => '\\StructType\\GetInvoices_OverdueResponse',
            'GetInvoices_Overdue_TypeDefined' => '\\StructType\\GetInvoices_Overdue_TypeDefined',
            'GetInvoices_Overdue_TypeDefinedResponse' => '\\StructType\\GetInvoices_Overdue_TypeDefinedResponse',
            'GetInvoices_Recent' => '\\StructType\\GetInvoices_Recent',
            'GetInvoices_RecentResponse' => '\\StructType\\GetInvoices_RecentResponse',
            'GetInvoices_Recent_TypeDefined' => '\\StructType\\GetInvoices_Recent_TypeDefined',
            'GetInvoices_Recent_TypeDefinedResponse' => '\\StructType\\GetInvoices_Recent_TypeDefinedResponse',
            'GetInvoicesForCustomer_typeDefined' => '\\StructType\\GetInvoicesForCustomer_typeDefined',
            'GetInvoicesForCustomer_typeDefinedResponse' => '\\StructType\\GetInvoicesForCustomer_typeDefinedResponse',
            'InsertInvoice' => '\\StructType\\InsertInvoice',
            'InsertInvoiceResponse' => '\\StructType\\InsertInvoiceResponse',
            'InsertInvoice_TypeDefined' => '\\StructType\\InsertInvoice_TypeDefined',
            'InsertInvoice_TypeDefinedResponse' => '\\StructType\\InsertInvoice_TypeDefinedResponse',
            'InsertInvoiceLine' => '\\StructType\\InsertInvoiceLine',
            'InsertInvoiceLineResponse' => '\\StructType\\InsertInvoiceLineResponse',
            'InsertInvoiceLineWithInvoiceNumber' => '\\StructType\\InsertInvoiceLineWithInvoiceNumber',
            'InsertInvoiceLineWithInvoiceNumberResponse' => '\\StructType\\InsertInvoiceLineWithInvoiceNumberResponse',
            'UpdateInvoice' => '\\StructType\\UpdateInvoice',
            'UpdateInvoiceResponse' => '\\StructType\\UpdateInvoiceResponse',
            'UpdateInvoice_TypeDefined' => '\\StructType\\UpdateInvoice_TypeDefined',
            'UpdateInvoice_TypeDefinedResponse' => '\\StructType\\UpdateInvoice_TypeDefinedResponse',
            'UpdateInvoiceHeader' => '\\StructType\\UpdateInvoiceHeader',
            'UpdateInvoiceHeaderResponse' => '\\StructType\\UpdateInvoiceHeaderResponse',
            'GetInvoicePayment' => '\\StructType\\GetInvoicePayment',
            'ArrayOfPayment' => '\\ArrayType\\ArrayOfPayment',
            'GetInvoicePaymentResponse' => '\\StructType\\GetInvoicePaymentResponse',
            'InsertInvoicePayment' => '\\StructType\\InsertInvoicePayment',
            'InsertInvoicePaymentResponse' => '\\StructType\\InsertInvoicePaymentResponse',
            'DeleteInvoicePayment' => '\\StructType\\DeleteInvoicePayment',
            'DeleteInvoicePaymentResponse' => '\\StructType\\DeleteInvoicePaymentResponse',
            'AllocateAdvancePaymentToInvoice' => '\\StructType\\AllocateAdvancePaymentToInvoice',
            'AllocateAdvancePaymentToInvoiceResponse' => '\\StructType\\AllocateAdvancePaymentToInvoiceResponse',
            'DeleteInvoice' => '\\StructType\\DeleteInvoice',
            'DeleteInvoiceResponse' => '\\StructType\\DeleteInvoiceResponse',
            'DeleteInvoiceByID' => '\\StructType\\DeleteInvoiceByID',
            'DeleteInvoiceByIDResponse' => '\\StructType\\DeleteInvoiceByIDResponse',
            'DeleteInvoiceLineWithInvoiceID' => '\\StructType\\DeleteInvoiceLineWithInvoiceID',
            'DeleteInvoiceLineWithInvoiceIDResponse' => '\\StructType\\DeleteInvoiceLineWithInvoiceIDResponse',
            'DeleteInvoiceLine' => '\\StructType\\DeleteInvoiceLine',
            'DeleteInvoiceLineResponse' => '\\StructType\\DeleteInvoiceLineResponse',
            'GetInvPayMethods' => '\\StructType\\GetInvPayMethods',
            'ArrayOfPaymentMethod' => '\\ArrayType\\ArrayOfPaymentMethod',
            'GetInvPayMethodsResponse' => '\\StructType\\GetInvPayMethodsResponse',
            'GetPaypalLink' => '\\StructType\\GetPaypalLink',
            'GetPaypalLinkResponse' => '\\StructType\\GetPaypalLinkResponse',
            'InsertInvoiceNote' => '\\StructType\\InsertInvoiceNote',
            'InsertInvoiceNoteResponse' => '\\StructType\\InsertInvoiceNoteResponse',
            'GetInvoiceNotes' => '\\StructType\\GetInvoiceNotes',
            'InvoiceNotes' => '\\StructType\\InvoiceNotes',
            'ArrayOfInvoiceNotes' => '\\ArrayType\\ArrayOfInvoiceNotes',
            'GetInvoiceNotesResponse' => '\\StructType\\GetInvoiceNotesResponse',
            'GetInvoicePaymentsCountforDateRange' => '\\StructType\\GetInvoicePaymentsCountforDateRange',
            'GetInvoicePaymentsCountforDateRangeResponse' => '\\StructType\\GetInvoicePaymentsCountforDateRangeResponse',
            'GetInvoicePaymentsByDateRange' => '\\StructType\\GetInvoicePaymentsByDateRange',
            'GetInvoicePaymentsByDateRangeResponse' => '\\StructType\\GetInvoicePaymentsByDateRangeResponse',
            'DeleteReceipt' => '\\StructType\\DeleteReceipt',
            'DeleteReceiptResponse' => '\\StructType\\DeleteReceiptResponse',
            'DeleteReceiptByID' => '\\StructType\\DeleteReceiptByID',
            'DeleteReceiptByIDResponse' => '\\StructType\\DeleteReceiptByIDResponse',
            'DeleteReceiptLine' => '\\StructType\\DeleteReceiptLine',
            'DeleteReceiptLineResponse' => '\\StructType\\DeleteReceiptLineResponse',
            'DeleteReceiptLineWithReceiptID' => '\\StructType\\DeleteReceiptLineWithReceiptID',
            'DeleteReceiptLineWithReceiptIDResponse' => '\\StructType\\DeleteReceiptLineWithReceiptIDResponse',
            'GetReceipt_TypeDefined' => '\\StructType\\GetReceipt_TypeDefined',
            'GetReceipt_TypeDefinedResponse' => '\\StructType\\GetReceipt_TypeDefinedResponse',
            'GetReceipt' => '\\StructType\\GetReceipt',
            'GetReceiptResponse' => '\\StructType\\GetReceiptResponse',
            'GetReceipts_Recent' => '\\StructType\\GetReceipts_Recent',
            'GetReceipts_RecentResponse' => '\\StructType\\GetReceipts_RecentResponse',
            'GetReceipts' => '\\StructType\\GetReceipts',
            'GetReceiptsResponse' => '\\StructType\\GetReceiptsResponse',
            'GetReceiptsWithPaging' => '\\StructType\\GetReceiptsWithPaging',
            'GetReceiptsWithPagingResponse' => '\\StructType\\GetReceiptsWithPagingResponse',
            'GetReceiptsForSupplier' => '\\StructType\\GetReceiptsForSupplier',
            'GetReceiptsForSupplierResponse' => '\\StructType\\GetReceiptsForSupplierResponse',
            'InsertReceipt_TypeDefined' => '\\StructType\\InsertReceipt_TypeDefined',
            'InsertReceipt_TypeDefinedResponse' => '\\StructType\\InsertReceipt_TypeDefinedResponse',
            'InsertReceipt' => '\\StructType\\InsertReceipt',
            'InsertReceiptResponse' => '\\StructType\\InsertReceiptResponse',
            'InsertReceiptLine' => '\\StructType\\InsertReceiptLine',
            'InsertReceiptLineResponse' => '\\StructType\\InsertReceiptLineResponse',
            'InsertReceiptLineFromNumber' => '\\StructType\\InsertReceiptLineFromNumber',
            'InsertReceiptLineFromNumberResponse' => '\\StructType\\InsertReceiptLineFromNumberResponse',
            'AllocateAdvancePaymentToReceipt' => '\\StructType\\AllocateAdvancePaymentToReceipt',
            'AllocateAdvancePaymentToReceiptResponse' => '\\StructType\\AllocateAdvancePaymentToReceiptResponse',
            'InsertReceiptPayment' => '\\StructType\\InsertReceiptPayment',
            'InsertReceiptPaymentResponse' => '\\StructType\\InsertReceiptPaymentResponse',
            'GetReceiptPayment' => '\\StructType\\GetReceiptPayment',
            'GetReceiptPaymentResponse' => '\\StructType\\GetReceiptPaymentResponse',
            'DeleteReceiptPayment' => '\\StructType\\DeleteReceiptPayment',
            'DeleteReceiptPaymentResponse' => '\\StructType\\DeleteReceiptPaymentResponse',
            'GetRecPayMethods' => '\\StructType\\GetRecPayMethods',
            'GetRecPayMethodsResponse' => '\\StructType\\GetRecPayMethodsResponse',
            'UpdateReceipt_TypeDefined' => '\\StructType\\UpdateReceipt_TypeDefined',
            'UpdateReceipt_TypeDefinedResponse' => '\\StructType\\UpdateReceipt_TypeDefinedResponse',
            'UpdateReceipt' => '\\StructType\\UpdateReceipt',
            'UpdateReceiptResponse' => '\\StructType\\UpdateReceiptResponse',
            'UpdateReceiptHeader' => '\\StructType\\UpdateReceiptHeader',
            'UpdateReceiptHeaderResponse' => '\\StructType\\UpdateReceiptHeaderResponse',
            'PrintPurchaseOrder' => '\\StructType\\PrintPurchaseOrder',
            'PrintPurchaseOrderResponse' => '\\StructType\\PrintPurchaseOrderResponse',
            'EmailPurchaseOrder' => '\\StructType\\EmailPurchaseOrder',
            'EmailPurchaseOrderResponse' => '\\StructType\\EmailPurchaseOrderResponse',
            'InsertReceiptNote' => '\\StructType\\InsertReceiptNote',
            'InsertReceiptNoteResponse' => '\\StructType\\InsertReceiptNoteResponse',
            'GetReceiptNotes' => '\\StructType\\GetReceiptNotes',
            'ReceiptNotes' => '\\StructType\\ReceiptNotes',
            'ArrayOfReceiptNotes' => '\\ArrayType\\ArrayOfReceiptNotes',
            'GetReceiptNotesResponse' => '\\StructType\\GetReceiptNotesResponse',
            'GetCustomerVATNumber' => '\\StructType\\GetCustomerVATNumber',
            'GetCustomerVATNumberResponse' => '\\StructType\\GetCustomerVATNumberResponse',
            'GetCustomer' => '\\StructType\\GetCustomer',
            'GetCustomerResponse' => '\\StructType\\GetCustomerResponse',
            'GetCustomerByID' => '\\StructType\\GetCustomerByID',
            'GetCustomerByIDResponse' => '\\StructType\\GetCustomerByIDResponse',
            'GetCustomerByEmail' => '\\StructType\\GetCustomerByEmail',
            'GetCustomerByEmailResponse' => '\\StructType\\GetCustomerByEmailResponse',
            'GetCustomersModifiedSince' => '\\StructType\\GetCustomersModifiedSince',
            'GetCustomersModifiedSinceResponse' => '\\StructType\\GetCustomersModifiedSinceResponse',
            'GetCustomers' => '\\StructType\\GetCustomers',
            'GetCustomersResponse' => '\\StructType\\GetCustomersResponse',
            'InsertCustomer' => '\\StructType\\InsertCustomer',
            'InsertCustomerResponse' => '\\StructType\\InsertCustomerResponse',
        );
    }
}
