<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for applyCreditNoteToInvoiceResponse StructType
 * @subpackage Structs
 */
class ApplyCreditNoteToInvoiceResponse extends AbstractStructBase
{
    /**
     * The applyCreditNoteToInvoiceResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $applyCreditNoteToInvoiceResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for applyCreditNoteToInvoiceResponse
     * @uses ApplyCreditNoteToInvoiceResponse::setApplyCreditNoteToInvoiceResult()
     * @uses ApplyCreditNoteToInvoiceResponse::setStatus()
     * @uses ApplyCreditNoteToInvoiceResponse::setStatusDetail()
     * @param bool $applyCreditNoteToInvoiceResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($applyCreditNoteToInvoiceResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setApplyCreditNoteToInvoiceResult($applyCreditNoteToInvoiceResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get applyCreditNoteToInvoiceResult value
     * @return bool
     */
    public function getApplyCreditNoteToInvoiceResult()
    {
        return $this->applyCreditNoteToInvoiceResult;
    }
    /**
     * Set applyCreditNoteToInvoiceResult value
     * @param bool $applyCreditNoteToInvoiceResult
     * @return \StructType\ApplyCreditNoteToInvoiceResponse
     */
    public function setApplyCreditNoteToInvoiceResult($applyCreditNoteToInvoiceResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($applyCreditNoteToInvoiceResult) && !is_bool($applyCreditNoteToInvoiceResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($applyCreditNoteToInvoiceResult)), __LINE__);
        }
        $this->applyCreditNoteToInvoiceResult = $applyCreditNoteToInvoiceResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\ApplyCreditNoteToInvoiceResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\ApplyCreditNoteToInvoiceResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ApplyCreditNoteToInvoiceResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
