<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DeleteJournal StructType
 * @subpackage Structs
 */
class DeleteJournal extends AbstractStructBase
{
    /**
     * The JournalNumber
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $JournalNumber;
    /**
     * The UserName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $UserName;
    /**
     * The Password
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Password;
    /**
     * Constructor method for DeleteJournal
     * @uses DeleteJournal::setJournalNumber()
     * @uses DeleteJournal::setUserName()
     * @uses DeleteJournal::setPassword()
     * @param int $journalNumber
     * @param string $userName
     * @param string $password
     */
    public function __construct($journalNumber = null, $userName = null, $password = null)
    {
        $this
            ->setJournalNumber($journalNumber)
            ->setUserName($userName)
            ->setPassword($password);
    }
    /**
     * Get JournalNumber value
     * @return int
     */
    public function getJournalNumber()
    {
        return $this->JournalNumber;
    }
    /**
     * Set JournalNumber value
     * @param int $journalNumber
     * @return \StructType\DeleteJournal
     */
    public function setJournalNumber($journalNumber = null)
    {
        // validation for constraint: int
        if (!is_null($journalNumber) && !is_numeric($journalNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($journalNumber)), __LINE__);
        }
        $this->JournalNumber = $journalNumber;
        return $this;
    }
    /**
     * Get UserName value
     * @return string|null
     */
    public function getUserName()
    {
        return $this->UserName;
    }
    /**
     * Set UserName value
     * @param string $userName
     * @return \StructType\DeleteJournal
     */
    public function setUserName($userName = null)
    {
        // validation for constraint: string
        if (!is_null($userName) && !is_string($userName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($userName)), __LINE__);
        }
        $this->UserName = $userName;
        return $this;
    }
    /**
     * Get Password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->Password;
    }
    /**
     * Set Password value
     * @param string $password
     * @return \StructType\DeleteJournal
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password)), __LINE__);
        }
        $this->Password = $password;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DeleteJournal
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
