<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DeleteJournalByIDResponse StructType
 * @subpackage Structs
 */
class DeleteJournalByIDResponse extends AbstractStructBase
{
    /**
     * The DeleteJournalByIDResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $DeleteJournalByIDResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for DeleteJournalByIDResponse
     * @uses DeleteJournalByIDResponse::setDeleteJournalByIDResult()
     * @uses DeleteJournalByIDResponse::setStatus()
     * @uses DeleteJournalByIDResponse::setStatusDetail()
     * @param int $deleteJournalByIDResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($deleteJournalByIDResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setDeleteJournalByIDResult($deleteJournalByIDResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get DeleteJournalByIDResult value
     * @return int
     */
    public function getDeleteJournalByIDResult()
    {
        return $this->DeleteJournalByIDResult;
    }
    /**
     * Set DeleteJournalByIDResult value
     * @param int $deleteJournalByIDResult
     * @return \StructType\DeleteJournalByIDResponse
     */
    public function setDeleteJournalByIDResult($deleteJournalByIDResult = null)
    {
        // validation for constraint: int
        if (!is_null($deleteJournalByIDResult) && !is_numeric($deleteJournalByIDResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($deleteJournalByIDResult)), __LINE__);
        }
        $this->DeleteJournalByIDResult = $deleteJournalByIDResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\DeleteJournalByIDResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\DeleteJournalByIDResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DeleteJournalByIDResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
