<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DeleteQuoteByIDResponse StructType
 * @subpackage Structs
 */
class DeleteQuoteByIDResponse extends AbstractStructBase
{
    /**
     * The DeleteQuoteByIDResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $DeleteQuoteByIDResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for DeleteQuoteByIDResponse
     * @uses DeleteQuoteByIDResponse::setDeleteQuoteByIDResult()
     * @uses DeleteQuoteByIDResponse::setStatus()
     * @uses DeleteQuoteByIDResponse::setStatusDetail()
     * @param int $deleteQuoteByIDResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($deleteQuoteByIDResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setDeleteQuoteByIDResult($deleteQuoteByIDResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get DeleteQuoteByIDResult value
     * @return int
     */
    public function getDeleteQuoteByIDResult()
    {
        return $this->DeleteQuoteByIDResult;
    }
    /**
     * Set DeleteQuoteByIDResult value
     * @param int $deleteQuoteByIDResult
     * @return \StructType\DeleteQuoteByIDResponse
     */
    public function setDeleteQuoteByIDResult($deleteQuoteByIDResult = null)
    {
        // validation for constraint: int
        if (!is_null($deleteQuoteByIDResult) && !is_numeric($deleteQuoteByIDResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($deleteQuoteByIDResult)), __LINE__);
        }
        $this->DeleteQuoteByIDResult = $deleteQuoteByIDResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\DeleteQuoteByIDResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\DeleteQuoteByIDResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DeleteQuoteByIDResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
