<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DeleteQuoteResponse StructType
 * @subpackage Structs
 */
class DeleteQuoteResponse extends AbstractStructBase
{
    /**
     * The DeleteQuoteResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $DeleteQuoteResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for DeleteQuoteResponse
     * @uses DeleteQuoteResponse::setDeleteQuoteResult()
     * @uses DeleteQuoteResponse::setStatus()
     * @uses DeleteQuoteResponse::setStatusDetail()
     * @param int $deleteQuoteResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($deleteQuoteResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setDeleteQuoteResult($deleteQuoteResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get DeleteQuoteResult value
     * @return int
     */
    public function getDeleteQuoteResult()
    {
        return $this->DeleteQuoteResult;
    }
    /**
     * Set DeleteQuoteResult value
     * @param int $deleteQuoteResult
     * @return \StructType\DeleteQuoteResponse
     */
    public function setDeleteQuoteResult($deleteQuoteResult = null)
    {
        // validation for constraint: int
        if (!is_null($deleteQuoteResult) && !is_numeric($deleteQuoteResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($deleteQuoteResult)), __LINE__);
        }
        $this->DeleteQuoteResult = $deleteQuoteResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\DeleteQuoteResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\DeleteQuoteResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DeleteQuoteResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
