<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EmailPurchaseOrderResponse StructType
 * @subpackage Structs
 */
class EmailPurchaseOrderResponse extends AbstractStructBase
{
    /**
     * The EmailPurchaseOrderResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $EmailPurchaseOrderResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for EmailPurchaseOrderResponse
     * @uses EmailPurchaseOrderResponse::setEmailPurchaseOrderResult()
     * @uses EmailPurchaseOrderResponse::setStatus()
     * @uses EmailPurchaseOrderResponse::setStatusDetail()
     * @param string $emailPurchaseOrderResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($emailPurchaseOrderResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setEmailPurchaseOrderResult($emailPurchaseOrderResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get EmailPurchaseOrderResult value
     * @return string|null
     */
    public function getEmailPurchaseOrderResult()
    {
        return $this->EmailPurchaseOrderResult;
    }
    /**
     * Set EmailPurchaseOrderResult value
     * @param string $emailPurchaseOrderResult
     * @return \StructType\EmailPurchaseOrderResponse
     */
    public function setEmailPurchaseOrderResult($emailPurchaseOrderResult = null)
    {
        // validation for constraint: string
        if (!is_null($emailPurchaseOrderResult) && !is_string($emailPurchaseOrderResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($emailPurchaseOrderResult)), __LINE__);
        }
        $this->EmailPurchaseOrderResult = $emailPurchaseOrderResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\EmailPurchaseOrderResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\EmailPurchaseOrderResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\EmailPurchaseOrderResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
