<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetAgedCreditors StructType
 * @subpackage Structs
 */
class GetAgedCreditors extends AbstractStructBase
{
    /**
     * The AgedCreditorsDate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $AgedCreditorsDate;
    /**
     * The UserName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $UserName;
    /**
     * The Password
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Password;
    /**
     * Constructor method for GetAgedCreditors
     * @uses GetAgedCreditors::setAgedCreditorsDate()
     * @uses GetAgedCreditors::setUserName()
     * @uses GetAgedCreditors::setPassword()
     * @param string $agedCreditorsDate
     * @param string $userName
     * @param string $password
     */
    public function __construct($agedCreditorsDate = null, $userName = null, $password = null)
    {
        $this
            ->setAgedCreditorsDate($agedCreditorsDate)
            ->setUserName($userName)
            ->setPassword($password);
    }
    /**
     * Get AgedCreditorsDate value
     * @return string
     */
    public function getAgedCreditorsDate()
    {
        return $this->AgedCreditorsDate;
    }
    /**
     * Set AgedCreditorsDate value
     * @param string $agedCreditorsDate
     * @return \StructType\GetAgedCreditors
     */
    public function setAgedCreditorsDate($agedCreditorsDate = null)
    {
        // validation for constraint: string
        if (!is_null($agedCreditorsDate) && !is_string($agedCreditorsDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($agedCreditorsDate)), __LINE__);
        }
        $this->AgedCreditorsDate = $agedCreditorsDate;
        return $this;
    }
    /**
     * Get UserName value
     * @return string|null
     */
    public function getUserName()
    {
        return $this->UserName;
    }
    /**
     * Set UserName value
     * @param string $userName
     * @return \StructType\GetAgedCreditors
     */
    public function setUserName($userName = null)
    {
        // validation for constraint: string
        if (!is_null($userName) && !is_string($userName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($userName)), __LINE__);
        }
        $this->UserName = $userName;
        return $this;
    }
    /**
     * Get Password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->Password;
    }
    /**
     * Set Password value
     * @param string $password
     * @return \StructType\GetAgedCreditors
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password)), __LINE__);
        }
        $this->Password = $password;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetAgedCreditors
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
