<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetAgedDebtors StructType
 * @subpackage Structs
 */
class GetAgedDebtors extends AbstractStructBase
{
    /**
     * The AgedDebtorsDate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $AgedDebtorsDate;
    /**
     * The UserName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $UserName;
    /**
     * The Password
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Password;
    /**
     * Constructor method for GetAgedDebtors
     * @uses GetAgedDebtors::setAgedDebtorsDate()
     * @uses GetAgedDebtors::setUserName()
     * @uses GetAgedDebtors::setPassword()
     * @param string $agedDebtorsDate
     * @param string $userName
     * @param string $password
     */
    public function __construct($agedDebtorsDate = null, $userName = null, $password = null)
    {
        $this
            ->setAgedDebtorsDate($agedDebtorsDate)
            ->setUserName($userName)
            ->setPassword($password);
    }
    /**
     * Get AgedDebtorsDate value
     * @return string
     */
    public function getAgedDebtorsDate()
    {
        return $this->AgedDebtorsDate;
    }
    /**
     * Set AgedDebtorsDate value
     * @param string $agedDebtorsDate
     * @return \StructType\GetAgedDebtors
     */
    public function setAgedDebtorsDate($agedDebtorsDate = null)
    {
        // validation for constraint: string
        if (!is_null($agedDebtorsDate) && !is_string($agedDebtorsDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($agedDebtorsDate)), __LINE__);
        }
        $this->AgedDebtorsDate = $agedDebtorsDate;
        return $this;
    }
    /**
     * Get UserName value
     * @return string|null
     */
    public function getUserName()
    {
        return $this->UserName;
    }
    /**
     * Set UserName value
     * @param string $userName
     * @return \StructType\GetAgedDebtors
     */
    public function setUserName($userName = null)
    {
        // validation for constraint: string
        if (!is_null($userName) && !is_string($userName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($userName)), __LINE__);
        }
        $this->UserName = $userName;
        return $this;
    }
    /**
     * Get Password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->Password;
    }
    /**
     * Set Password value
     * @param string $password
     * @return \StructType\GetAgedDebtors
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password)), __LINE__);
        }
        $this->Password = $password;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetAgedDebtors
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
