<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetAgedDebtorsResponse StructType
 * @subpackage Structs
 */
class GetAgedDebtorsResponse extends AbstractStructBase
{
    /**
     * The GetAgedDebtorsResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfAgedDebtorsCreditors
     */
    public $GetAgedDebtorsResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetAgedDebtorsResponse
     * @uses GetAgedDebtorsResponse::setGetAgedDebtorsResult()
     * @uses GetAgedDebtorsResponse::setStatus()
     * @uses GetAgedDebtorsResponse::setStatusDetail()
     * @param \ArrayType\ArrayOfAgedDebtorsCreditors $getAgedDebtorsResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\ArrayType\ArrayOfAgedDebtorsCreditors $getAgedDebtorsResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetAgedDebtorsResult($getAgedDebtorsResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetAgedDebtorsResult value
     * @return \ArrayType\ArrayOfAgedDebtorsCreditors|null
     */
    public function getGetAgedDebtorsResult()
    {
        return $this->GetAgedDebtorsResult;
    }
    /**
     * Set GetAgedDebtorsResult value
     * @param \ArrayType\ArrayOfAgedDebtorsCreditors $getAgedDebtorsResult
     * @return \StructType\GetAgedDebtorsResponse
     */
    public function setGetAgedDebtorsResult(\ArrayType\ArrayOfAgedDebtorsCreditors $getAgedDebtorsResult = null)
    {
        $this->GetAgedDebtorsResult = $getAgedDebtorsResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetAgedDebtorsResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetAgedDebtorsResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetAgedDebtorsResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
