<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetBalanceSheetResponse StructType
 * @subpackage Structs
 */
class GetBalanceSheetResponse extends AbstractStructBase
{
    /**
     * The GetBalanceSheetResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\BalanceSheet
     */
    public $GetBalanceSheetResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetBalanceSheetResponse
     * @uses GetBalanceSheetResponse::setGetBalanceSheetResult()
     * @uses GetBalanceSheetResponse::setStatus()
     * @uses GetBalanceSheetResponse::setStatusDetail()
     * @param \StructType\BalanceSheet $getBalanceSheetResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\StructType\BalanceSheet $getBalanceSheetResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetBalanceSheetResult($getBalanceSheetResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetBalanceSheetResult value
     * @return \StructType\BalanceSheet|null
     */
    public function getGetBalanceSheetResult()
    {
        return $this->GetBalanceSheetResult;
    }
    /**
     * Set GetBalanceSheetResult value
     * @param \StructType\BalanceSheet $getBalanceSheetResult
     * @return \StructType\GetBalanceSheetResponse
     */
    public function setGetBalanceSheetResult(\StructType\BalanceSheet $getBalanceSheetResult = null)
    {
        $this->GetBalanceSheetResult = $getBalanceSheetResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetBalanceSheetResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetBalanceSheetResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetBalanceSheetResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
