<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetBankAccountsResponse StructType
 * @subpackage Structs
 */
class GetBankAccountsResponse extends AbstractStructBase
{
    /**
     * The GetBankAccountsResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfBankAccount
     */
    public $GetBankAccountsResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetBankAccountsResponse
     * @uses GetBankAccountsResponse::setGetBankAccountsResult()
     * @uses GetBankAccountsResponse::setStatus()
     * @uses GetBankAccountsResponse::setStatusDetail()
     * @param \ArrayType\ArrayOfBankAccount $getBankAccountsResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\ArrayType\ArrayOfBankAccount $getBankAccountsResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetBankAccountsResult($getBankAccountsResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetBankAccountsResult value
     * @return \ArrayType\ArrayOfBankAccount|null
     */
    public function getGetBankAccountsResult()
    {
        return $this->GetBankAccountsResult;
    }
    /**
     * Set GetBankAccountsResult value
     * @param \ArrayType\ArrayOfBankAccount $getBankAccountsResult
     * @return \StructType\GetBankAccountsResponse
     */
    public function setGetBankAccountsResult(\ArrayType\ArrayOfBankAccount $getBankAccountsResult = null)
    {
        $this->GetBankAccountsResult = $getBankAccountsResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetBankAccountsResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetBankAccountsResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetBankAccountsResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
