<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCurrenciesResponse StructType
 * @subpackage Structs
 */
class GetCurrenciesResponse extends AbstractStructBase
{
    /**
     * The GetCurrenciesResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfCurrencies
     */
    public $GetCurrenciesResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetCurrenciesResponse
     * @uses GetCurrenciesResponse::setGetCurrenciesResult()
     * @uses GetCurrenciesResponse::setStatus()
     * @uses GetCurrenciesResponse::setStatusDetail()
     * @param \ArrayType\ArrayOfCurrencies $getCurrenciesResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\ArrayType\ArrayOfCurrencies $getCurrenciesResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetCurrenciesResult($getCurrenciesResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetCurrenciesResult value
     * @return \ArrayType\ArrayOfCurrencies|null
     */
    public function getGetCurrenciesResult()
    {
        return $this->GetCurrenciesResult;
    }
    /**
     * Set GetCurrenciesResult value
     * @param \ArrayType\ArrayOfCurrencies $getCurrenciesResult
     * @return \StructType\GetCurrenciesResponse
     */
    public function setGetCurrenciesResult(\ArrayType\ArrayOfCurrencies $getCurrenciesResult = null)
    {
        $this->GetCurrenciesResult = $getCurrenciesResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetCurrenciesResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetCurrenciesResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetCurrenciesResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
