<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCustomerBalanceResponse StructType
 * @subpackage Structs
 */
class GetCustomerBalanceResponse extends AbstractStructBase
{
    /**
     * The GetCustomerBalanceResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CustomerBalance
     */
    public $GetCustomerBalanceResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetCustomerBalanceResponse
     * @uses GetCustomerBalanceResponse::setGetCustomerBalanceResult()
     * @uses GetCustomerBalanceResponse::setStatus()
     * @uses GetCustomerBalanceResponse::setStatusDetail()
     * @param \StructType\CustomerBalance $getCustomerBalanceResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\StructType\CustomerBalance $getCustomerBalanceResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetCustomerBalanceResult($getCustomerBalanceResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetCustomerBalanceResult value
     * @return \StructType\CustomerBalance|null
     */
    public function getGetCustomerBalanceResult()
    {
        return $this->GetCustomerBalanceResult;
    }
    /**
     * Set GetCustomerBalanceResult value
     * @param \StructType\CustomerBalance $getCustomerBalanceResult
     * @return \StructType\GetCustomerBalanceResponse
     */
    public function setGetCustomerBalanceResult(\StructType\CustomerBalance $getCustomerBalanceResult = null)
    {
        $this->GetCustomerBalanceResult = $getCustomerBalanceResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetCustomerBalanceResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetCustomerBalanceResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetCustomerBalanceResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
