<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCustomerResponse StructType
 * @subpackage Structs
 */
class GetCustomerResponse extends AbstractStructBase
{
    /**
     * The GetCustomerResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Customer
     */
    public $GetCustomerResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetCustomerResponse
     * @uses GetCustomerResponse::setGetCustomerResult()
     * @uses GetCustomerResponse::setStatus()
     * @uses GetCustomerResponse::setStatusDetail()
     * @param \StructType\Customer $getCustomerResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\StructType\Customer $getCustomerResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetCustomerResult($getCustomerResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetCustomerResult value
     * @return \StructType\Customer|null
     */
    public function getGetCustomerResult()
    {
        return $this->GetCustomerResult;
    }
    /**
     * Set GetCustomerResult value
     * @param \StructType\Customer $getCustomerResult
     * @return \StructType\GetCustomerResponse
     */
    public function setGetCustomerResult(\StructType\Customer $getCustomerResult = null)
    {
        $this->GetCustomerResult = $getCustomerResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetCustomerResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetCustomerResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetCustomerResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
