<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetInvoiceResponse StructType
 * @subpackage Structs
 */
class GetInvoiceResponse extends AbstractStructBase
{
    /**
     * The GetInvoiceResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Invoice
     */
    public $GetInvoiceResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetInvoiceResponse
     * @uses GetInvoiceResponse::setGetInvoiceResult()
     * @uses GetInvoiceResponse::setStatus()
     * @uses GetInvoiceResponse::setStatusDetail()
     * @param \StructType\Invoice $getInvoiceResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\StructType\Invoice $getInvoiceResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetInvoiceResult($getInvoiceResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetInvoiceResult value
     * @return \StructType\Invoice|null
     */
    public function getGetInvoiceResult()
    {
        return $this->GetInvoiceResult;
    }
    /**
     * Set GetInvoiceResult value
     * @param \StructType\Invoice $getInvoiceResult
     * @return \StructType\GetInvoiceResponse
     */
    public function setGetInvoiceResult(\StructType\Invoice $getInvoiceResult = null)
    {
        $this->GetInvoiceResult = $getInvoiceResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetInvoiceResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetInvoiceResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetInvoiceResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
