<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetJournalsResponse StructType
 * @subpackage Structs
 */
class GetJournalsResponse extends AbstractStructBase
{
    /**
     * The GetJournalsResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJournalEntry
     */
    public $GetJournalsResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetJournalsResponse
     * @uses GetJournalsResponse::setGetJournalsResult()
     * @uses GetJournalsResponse::setStatus()
     * @uses GetJournalsResponse::setStatusDetail()
     * @param \ArrayType\ArrayOfJournalEntry $getJournalsResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\ArrayType\ArrayOfJournalEntry $getJournalsResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetJournalsResult($getJournalsResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetJournalsResult value
     * @return \ArrayType\ArrayOfJournalEntry|null
     */
    public function getGetJournalsResult()
    {
        return $this->GetJournalsResult;
    }
    /**
     * Set GetJournalsResult value
     * @param \ArrayType\ArrayOfJournalEntry $getJournalsResult
     * @return \StructType\GetJournalsResponse
     */
    public function setGetJournalsResult(\ArrayType\ArrayOfJournalEntry $getJournalsResult = null)
    {
        $this->GetJournalsResult = $getJournalsResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetJournalsResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetJournalsResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetJournalsResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
