<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetReceiptAttachmentsResponse StructType
 * @subpackage Structs
 */
class GetReceiptAttachmentsResponse extends AbstractStructBase
{
    /**
     * The GetReceiptAttachmentsResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfReceiptAttachment
     */
    public $GetReceiptAttachmentsResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetReceiptAttachmentsResponse
     * @uses GetReceiptAttachmentsResponse::setGetReceiptAttachmentsResult()
     * @uses GetReceiptAttachmentsResponse::setStatus()
     * @uses GetReceiptAttachmentsResponse::setStatusDetail()
     * @param \ArrayType\ArrayOfReceiptAttachment $getReceiptAttachmentsResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\ArrayType\ArrayOfReceiptAttachment $getReceiptAttachmentsResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetReceiptAttachmentsResult($getReceiptAttachmentsResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetReceiptAttachmentsResult value
     * @return \ArrayType\ArrayOfReceiptAttachment|null
     */
    public function getGetReceiptAttachmentsResult()
    {
        return $this->GetReceiptAttachmentsResult;
    }
    /**
     * Set GetReceiptAttachmentsResult value
     * @param \ArrayType\ArrayOfReceiptAttachment $getReceiptAttachmentsResult
     * @return \StructType\GetReceiptAttachmentsResponse
     */
    public function setGetReceiptAttachmentsResult(\ArrayType\ArrayOfReceiptAttachment $getReceiptAttachmentsResult = null)
    {
        $this->GetReceiptAttachmentsResult = $getReceiptAttachmentsResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetReceiptAttachmentsResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetReceiptAttachmentsResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetReceiptAttachmentsResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
