<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetReceiptPaymentResponse StructType
 * @subpackage Structs
 */
class GetReceiptPaymentResponse extends AbstractStructBase
{
    /**
     * The GetReceiptPaymentResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfPayment
     */
    public $GetReceiptPaymentResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetReceiptPaymentResponse
     * @uses GetReceiptPaymentResponse::setGetReceiptPaymentResult()
     * @uses GetReceiptPaymentResponse::setStatus()
     * @uses GetReceiptPaymentResponse::setStatusDetail()
     * @param \ArrayType\ArrayOfPayment $getReceiptPaymentResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\ArrayType\ArrayOfPayment $getReceiptPaymentResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetReceiptPaymentResult($getReceiptPaymentResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetReceiptPaymentResult value
     * @return \ArrayType\ArrayOfPayment|null
     */
    public function getGetReceiptPaymentResult()
    {
        return $this->GetReceiptPaymentResult;
    }
    /**
     * Set GetReceiptPaymentResult value
     * @param \ArrayType\ArrayOfPayment $getReceiptPaymentResult
     * @return \StructType\GetReceiptPaymentResponse
     */
    public function setGetReceiptPaymentResult(\ArrayType\ArrayOfPayment $getReceiptPaymentResult = null)
    {
        $this->GetReceiptPaymentResult = $getReceiptPaymentResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetReceiptPaymentResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetReceiptPaymentResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetReceiptPaymentResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
