<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetReceiptResponse StructType
 * @subpackage Structs
 */
class GetReceiptResponse extends AbstractStructBase
{
    /**
     * The GetReceiptResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Invoice
     */
    public $GetReceiptResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetReceiptResponse
     * @uses GetReceiptResponse::setGetReceiptResult()
     * @uses GetReceiptResponse::setStatus()
     * @uses GetReceiptResponse::setStatusDetail()
     * @param \StructType\Invoice $getReceiptResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\StructType\Invoice $getReceiptResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetReceiptResult($getReceiptResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetReceiptResult value
     * @return \StructType\Invoice|null
     */
    public function getGetReceiptResult()
    {
        return $this->GetReceiptResult;
    }
    /**
     * Set GetReceiptResult value
     * @param \StructType\Invoice $getReceiptResult
     * @return \StructType\GetReceiptResponse
     */
    public function setGetReceiptResult(\StructType\Invoice $getReceiptResult = null)
    {
        $this->GetReceiptResult = $getReceiptResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetReceiptResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetReceiptResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetReceiptResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
