<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSupplierResponse StructType
 * @subpackage Structs
 */
class GetSupplierResponse extends AbstractStructBase
{
    /**
     * The GetSupplierResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Supplier
     */
    public $GetSupplierResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetSupplierResponse
     * @uses GetSupplierResponse::setGetSupplierResult()
     * @uses GetSupplierResponse::setStatus()
     * @uses GetSupplierResponse::setStatusDetail()
     * @param \StructType\Supplier $getSupplierResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\StructType\Supplier $getSupplierResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetSupplierResult($getSupplierResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetSupplierResult value
     * @return \StructType\Supplier|null
     */
    public function getGetSupplierResult()
    {
        return $this->GetSupplierResult;
    }
    /**
     * Set GetSupplierResult value
     * @param \StructType\Supplier $getSupplierResult
     * @return \StructType\GetSupplierResponse
     */
    public function setGetSupplierResult(\StructType\Supplier $getSupplierResult = null)
    {
        $this->GetSupplierResult = $getSupplierResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetSupplierResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetSupplierResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetSupplierResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
