<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetVATReportResponse StructType
 * @subpackage Structs
 */
class GetVATReportResponse extends AbstractStructBase
{
    /**
     * The GetVATReportResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\VATReport
     */
    public $GetVATReportResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for GetVATReportResponse
     * @uses GetVATReportResponse::setGetVATReportResult()
     * @uses GetVATReportResponse::setStatus()
     * @uses GetVATReportResponse::setStatusDetail()
     * @param \StructType\VATReport $getVATReportResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct(\StructType\VATReport $getVATReportResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setGetVATReportResult($getVATReportResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get GetVATReportResult value
     * @return \StructType\VATReport|null
     */
    public function getGetVATReportResult()
    {
        return $this->GetVATReportResult;
    }
    /**
     * Set GetVATReportResult value
     * @param \StructType\VATReport $getVATReportResult
     * @return \StructType\GetVATReportResponse
     */
    public function setGetVATReportResult(\StructType\VATReport $getVATReportResult = null)
    {
        $this->GetVATReportResult = $getVATReportResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\GetVATReportResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\GetVATReportResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetVATReportResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
