<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsertBankTransaction StructType
 * @subpackage Structs
 */
class InsertBankTransaction extends AbstractStructBase
{
    /**
     * The UserName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $UserName;
    /**
     * The Password
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Password;
    /**
     * The bp
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\BankTransaction
     */
    public $bp;
    /**
     * Constructor method for InsertBankTransaction
     * @uses InsertBankTransaction::setUserName()
     * @uses InsertBankTransaction::setPassword()
     * @uses InsertBankTransaction::setBp()
     * @param string $userName
     * @param string $password
     * @param \StructType\BankTransaction $bp
     */
    public function __construct($userName = null, $password = null, \StructType\BankTransaction $bp = null)
    {
        $this
            ->setUserName($userName)
            ->setPassword($password)
            ->setBp($bp);
    }
    /**
     * Get UserName value
     * @return string|null
     */
    public function getUserName()
    {
        return $this->UserName;
    }
    /**
     * Set UserName value
     * @param string $userName
     * @return \StructType\InsertBankTransaction
     */
    public function setUserName($userName = null)
    {
        // validation for constraint: string
        if (!is_null($userName) && !is_string($userName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($userName)), __LINE__);
        }
        $this->UserName = $userName;
        return $this;
    }
    /**
     * Get Password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->Password;
    }
    /**
     * Set Password value
     * @param string $password
     * @return \StructType\InsertBankTransaction
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password)), __LINE__);
        }
        $this->Password = $password;
        return $this;
    }
    /**
     * Get bp value
     * @return \StructType\BankTransaction|null
     */
    public function getBp()
    {
        return $this->bp;
    }
    /**
     * Set bp value
     * @param \StructType\BankTransaction $bp
     * @return \StructType\InsertBankTransaction
     */
    public function setBp(\StructType\BankTransaction $bp = null)
    {
        $this->bp = $bp;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsertBankTransaction
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
