<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsertBankTransactionResponse StructType
 * @subpackage Structs
 */
class InsertBankTransactionResponse extends AbstractStructBase
{
    /**
     * The InsertBankTransactionResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $InsertBankTransactionResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for InsertBankTransactionResponse
     * @uses InsertBankTransactionResponse::setInsertBankTransactionResult()
     * @uses InsertBankTransactionResponse::setStatus()
     * @uses InsertBankTransactionResponse::setStatusDetail()
     * @param int $insertBankTransactionResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($insertBankTransactionResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setInsertBankTransactionResult($insertBankTransactionResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get InsertBankTransactionResult value
     * @return int
     */
    public function getInsertBankTransactionResult()
    {
        return $this->InsertBankTransactionResult;
    }
    /**
     * Set InsertBankTransactionResult value
     * @param int $insertBankTransactionResult
     * @return \StructType\InsertBankTransactionResponse
     */
    public function setInsertBankTransactionResult($insertBankTransactionResult = null)
    {
        // validation for constraint: int
        if (!is_null($insertBankTransactionResult) && !is_numeric($insertBankTransactionResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($insertBankTransactionResult)), __LINE__);
        }
        $this->InsertBankTransactionResult = $insertBankTransactionResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\InsertBankTransactionResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\InsertBankTransactionResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsertBankTransactionResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
