<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsertCustomerResponse StructType
 * @subpackage Structs
 */
class InsertCustomerResponse extends AbstractStructBase
{
    /**
     * The InsertCustomerResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $InsertCustomerResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for InsertCustomerResponse
     * @uses InsertCustomerResponse::setInsertCustomerResult()
     * @uses InsertCustomerResponse::setStatus()
     * @uses InsertCustomerResponse::setStatusDetail()
     * @param int $insertCustomerResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($insertCustomerResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setInsertCustomerResult($insertCustomerResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get InsertCustomerResult value
     * @return int
     */
    public function getInsertCustomerResult()
    {
        return $this->InsertCustomerResult;
    }
    /**
     * Set InsertCustomerResult value
     * @param int $insertCustomerResult
     * @return \StructType\InsertCustomerResponse
     */
    public function setInsertCustomerResult($insertCustomerResult = null)
    {
        // validation for constraint: int
        if (!is_null($insertCustomerResult) && !is_numeric($insertCustomerResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($insertCustomerResult)), __LINE__);
        }
        $this->InsertCustomerResult = $insertCustomerResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\InsertCustomerResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\InsertCustomerResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsertCustomerResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
