<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsertInvoiceLineResponse StructType
 * @subpackage Structs
 */
class InsertInvoiceLineResponse extends AbstractStructBase
{
    /**
     * The InsertInvoiceLineResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $InsertInvoiceLineResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for InsertInvoiceLineResponse
     * @uses InsertInvoiceLineResponse::setInsertInvoiceLineResult()
     * @uses InsertInvoiceLineResponse::setStatus()
     * @uses InsertInvoiceLineResponse::setStatusDetail()
     * @param int $insertInvoiceLineResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($insertInvoiceLineResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setInsertInvoiceLineResult($insertInvoiceLineResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get InsertInvoiceLineResult value
     * @return int
     */
    public function getInsertInvoiceLineResult()
    {
        return $this->InsertInvoiceLineResult;
    }
    /**
     * Set InsertInvoiceLineResult value
     * @param int $insertInvoiceLineResult
     * @return \StructType\InsertInvoiceLineResponse
     */
    public function setInsertInvoiceLineResult($insertInvoiceLineResult = null)
    {
        // validation for constraint: int
        if (!is_null($insertInvoiceLineResult) && !is_numeric($insertInvoiceLineResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($insertInvoiceLineResult)), __LINE__);
        }
        $this->InsertInvoiceLineResult = $insertInvoiceLineResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\InsertInvoiceLineResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\InsertInvoiceLineResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsertInvoiceLineResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
