<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsertInvoiceNoteResponse StructType
 * @subpackage Structs
 */
class InsertInvoiceNoteResponse extends AbstractStructBase
{
    /**
     * The InsertInvoiceNoteResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $InsertInvoiceNoteResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for InsertInvoiceNoteResponse
     * @uses InsertInvoiceNoteResponse::setInsertInvoiceNoteResult()
     * @uses InsertInvoiceNoteResponse::setStatus()
     * @uses InsertInvoiceNoteResponse::setStatusDetail()
     * @param bool $insertInvoiceNoteResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($insertInvoiceNoteResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setInsertInvoiceNoteResult($insertInvoiceNoteResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get InsertInvoiceNoteResult value
     * @return bool
     */
    public function getInsertInvoiceNoteResult()
    {
        return $this->InsertInvoiceNoteResult;
    }
    /**
     * Set InsertInvoiceNoteResult value
     * @param bool $insertInvoiceNoteResult
     * @return \StructType\InsertInvoiceNoteResponse
     */
    public function setInsertInvoiceNoteResult($insertInvoiceNoteResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($insertInvoiceNoteResult) && !is_bool($insertInvoiceNoteResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($insertInvoiceNoteResult)), __LINE__);
        }
        $this->InsertInvoiceNoteResult = $insertInvoiceNoteResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\InsertInvoiceNoteResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\InsertInvoiceNoteResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsertInvoiceNoteResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
