<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsertReceiptLineFromNumberResponse StructType
 * @subpackage Structs
 */
class InsertReceiptLineFromNumberResponse extends AbstractStructBase
{
    /**
     * The InsertReceiptLineFromNumberResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $InsertReceiptLineFromNumberResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for InsertReceiptLineFromNumberResponse
     * @uses InsertReceiptLineFromNumberResponse::setInsertReceiptLineFromNumberResult()
     * @uses InsertReceiptLineFromNumberResponse::setStatus()
     * @uses InsertReceiptLineFromNumberResponse::setStatusDetail()
     * @param int $insertReceiptLineFromNumberResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($insertReceiptLineFromNumberResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setInsertReceiptLineFromNumberResult($insertReceiptLineFromNumberResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get InsertReceiptLineFromNumberResult value
     * @return int
     */
    public function getInsertReceiptLineFromNumberResult()
    {
        return $this->InsertReceiptLineFromNumberResult;
    }
    /**
     * Set InsertReceiptLineFromNumberResult value
     * @param int $insertReceiptLineFromNumberResult
     * @return \StructType\InsertReceiptLineFromNumberResponse
     */
    public function setInsertReceiptLineFromNumberResult($insertReceiptLineFromNumberResult = null)
    {
        // validation for constraint: int
        if (!is_null($insertReceiptLineFromNumberResult) && !is_numeric($insertReceiptLineFromNumberResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($insertReceiptLineFromNumberResult)), __LINE__);
        }
        $this->InsertReceiptLineFromNumberResult = $insertReceiptLineFromNumberResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\InsertReceiptLineFromNumberResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\InsertReceiptLineFromNumberResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsertReceiptLineFromNumberResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
