<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsertReceiptLineResponse StructType
 * @subpackage Structs
 */
class InsertReceiptLineResponse extends AbstractStructBase
{
    /**
     * The InsertReceiptLineResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $InsertReceiptLineResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for InsertReceiptLineResponse
     * @uses InsertReceiptLineResponse::setInsertReceiptLineResult()
     * @uses InsertReceiptLineResponse::setStatus()
     * @uses InsertReceiptLineResponse::setStatusDetail()
     * @param int $insertReceiptLineResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($insertReceiptLineResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setInsertReceiptLineResult($insertReceiptLineResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get InsertReceiptLineResult value
     * @return int
     */
    public function getInsertReceiptLineResult()
    {
        return $this->InsertReceiptLineResult;
    }
    /**
     * Set InsertReceiptLineResult value
     * @param int $insertReceiptLineResult
     * @return \StructType\InsertReceiptLineResponse
     */
    public function setInsertReceiptLineResult($insertReceiptLineResult = null)
    {
        // validation for constraint: int
        if (!is_null($insertReceiptLineResult) && !is_numeric($insertReceiptLineResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($insertReceiptLineResult)), __LINE__);
        }
        $this->InsertReceiptLineResult = $insertReceiptLineResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\InsertReceiptLineResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\InsertReceiptLineResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsertReceiptLineResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
