<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsertReceiptResponse StructType
 * @subpackage Structs
 */
class InsertReceiptResponse extends AbstractStructBase
{
    /**
     * The InsertReceiptResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $InsertReceiptResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for InsertReceiptResponse
     * @uses InsertReceiptResponse::setInsertReceiptResult()
     * @uses InsertReceiptResponse::setStatus()
     * @uses InsertReceiptResponse::setStatusDetail()
     * @param int $insertReceiptResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($insertReceiptResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setInsertReceiptResult($insertReceiptResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get InsertReceiptResult value
     * @return int
     */
    public function getInsertReceiptResult()
    {
        return $this->InsertReceiptResult;
    }
    /**
     * Set InsertReceiptResult value
     * @param int $insertReceiptResult
     * @return \StructType\InsertReceiptResponse
     */
    public function setInsertReceiptResult($insertReceiptResult = null)
    {
        // validation for constraint: int
        if (!is_null($insertReceiptResult) && !is_numeric($insertReceiptResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($insertReceiptResult)), __LINE__);
        }
        $this->InsertReceiptResult = $insertReceiptResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\InsertReceiptResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\InsertReceiptResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsertReceiptResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
