<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PrintInvoiceResponse StructType
 * @subpackage Structs
 */
class PrintInvoiceResponse extends AbstractStructBase
{
    /**
     * The PrintInvoiceResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PrintInvoiceResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for PrintInvoiceResponse
     * @uses PrintInvoiceResponse::setPrintInvoiceResult()
     * @uses PrintInvoiceResponse::setStatus()
     * @uses PrintInvoiceResponse::setStatusDetail()
     * @param string $printInvoiceResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($printInvoiceResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setPrintInvoiceResult($printInvoiceResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get PrintInvoiceResult value
     * @return string|null
     */
    public function getPrintInvoiceResult()
    {
        return $this->PrintInvoiceResult;
    }
    /**
     * Set PrintInvoiceResult value
     * @param string $printInvoiceResult
     * @return \StructType\PrintInvoiceResponse
     */
    public function setPrintInvoiceResult($printInvoiceResult = null)
    {
        // validation for constraint: string
        if (!is_null($printInvoiceResult) && !is_string($printInvoiceResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($printInvoiceResult)), __LINE__);
        }
        $this->PrintInvoiceResult = $printInvoiceResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\PrintInvoiceResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\PrintInvoiceResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PrintInvoiceResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
