<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PrintPurchaseOrder StructType
 * @subpackage Structs
 */
class PrintPurchaseOrder extends AbstractStructBase
{
    /**
     * The ReceiptNumber
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ReceiptNumber;
    /**
     * The UserName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $UserName;
    /**
     * The Password
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Password;
    /**
     * The ReceiptNumberList
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ReceiptNumberList;
    /**
     * Constructor method for PrintPurchaseOrder
     * @uses PrintPurchaseOrder::setReceiptNumber()
     * @uses PrintPurchaseOrder::setUserName()
     * @uses PrintPurchaseOrder::setPassword()
     * @uses PrintPurchaseOrder::setReceiptNumberList()
     * @param int $receiptNumber
     * @param string $userName
     * @param string $password
     * @param string $receiptNumberList
     */
    public function __construct($receiptNumber = null, $userName = null, $password = null, $receiptNumberList = null)
    {
        $this
            ->setReceiptNumber($receiptNumber)
            ->setUserName($userName)
            ->setPassword($password)
            ->setReceiptNumberList($receiptNumberList);
    }
    /**
     * Get ReceiptNumber value
     * @return int
     */
    public function getReceiptNumber()
    {
        return $this->ReceiptNumber;
    }
    /**
     * Set ReceiptNumber value
     * @param int $receiptNumber
     * @return \StructType\PrintPurchaseOrder
     */
    public function setReceiptNumber($receiptNumber = null)
    {
        // validation for constraint: int
        if (!is_null($receiptNumber) && !is_numeric($receiptNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($receiptNumber)), __LINE__);
        }
        $this->ReceiptNumber = $receiptNumber;
        return $this;
    }
    /**
     * Get UserName value
     * @return string|null
     */
    public function getUserName()
    {
        return $this->UserName;
    }
    /**
     * Set UserName value
     * @param string $userName
     * @return \StructType\PrintPurchaseOrder
     */
    public function setUserName($userName = null)
    {
        // validation for constraint: string
        if (!is_null($userName) && !is_string($userName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($userName)), __LINE__);
        }
        $this->UserName = $userName;
        return $this;
    }
    /**
     * Get Password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->Password;
    }
    /**
     * Set Password value
     * @param string $password
     * @return \StructType\PrintPurchaseOrder
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password)), __LINE__);
        }
        $this->Password = $password;
        return $this;
    }
    /**
     * Get ReceiptNumberList value
     * @return string|null
     */
    public function getReceiptNumberList()
    {
        return $this->ReceiptNumberList;
    }
    /**
     * Set ReceiptNumberList value
     * @param string $receiptNumberList
     * @return \StructType\PrintPurchaseOrder
     */
    public function setReceiptNumberList($receiptNumberList = null)
    {
        // validation for constraint: string
        if (!is_null($receiptNumberList) && !is_string($receiptNumberList)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($receiptNumberList)), __LINE__);
        }
        $this->ReceiptNumberList = $receiptNumberList;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PrintPurchaseOrder
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
