<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PrintPurchaseOrderResponse StructType
 * @subpackage Structs
 */
class PrintPurchaseOrderResponse extends AbstractStructBase
{
    /**
     * The PrintPurchaseOrderResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PrintPurchaseOrderResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for PrintPurchaseOrderResponse
     * @uses PrintPurchaseOrderResponse::setPrintPurchaseOrderResult()
     * @uses PrintPurchaseOrderResponse::setStatus()
     * @uses PrintPurchaseOrderResponse::setStatusDetail()
     * @param string $printPurchaseOrderResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($printPurchaseOrderResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setPrintPurchaseOrderResult($printPurchaseOrderResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get PrintPurchaseOrderResult value
     * @return string|null
     */
    public function getPrintPurchaseOrderResult()
    {
        return $this->PrintPurchaseOrderResult;
    }
    /**
     * Set PrintPurchaseOrderResult value
     * @param string $printPurchaseOrderResult
     * @return \StructType\PrintPurchaseOrderResponse
     */
    public function setPrintPurchaseOrderResult($printPurchaseOrderResult = null)
    {
        // validation for constraint: string
        if (!is_null($printPurchaseOrderResult) && !is_string($printPurchaseOrderResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($printPurchaseOrderResult)), __LINE__);
        }
        $this->PrintPurchaseOrderResult = $printPurchaseOrderResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\PrintPurchaseOrderResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\PrintPurchaseOrderResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PrintPurchaseOrderResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
