<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateCustomerResponse StructType
 * @subpackage Structs
 */
class UpdateCustomerResponse extends AbstractStructBase
{
    /**
     * The UpdateCustomerResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $UpdateCustomerResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for UpdateCustomerResponse
     * @uses UpdateCustomerResponse::setUpdateCustomerResult()
     * @uses UpdateCustomerResponse::setStatus()
     * @uses UpdateCustomerResponse::setStatusDetail()
     * @param string $updateCustomerResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($updateCustomerResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setUpdateCustomerResult($updateCustomerResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get UpdateCustomerResult value
     * @return string|null
     */
    public function getUpdateCustomerResult()
    {
        return $this->UpdateCustomerResult;
    }
    /**
     * Set UpdateCustomerResult value
     * @param string $updateCustomerResult
     * @return \StructType\UpdateCustomerResponse
     */
    public function setUpdateCustomerResult($updateCustomerResult = null)
    {
        // validation for constraint: string
        if (!is_null($updateCustomerResult) && !is_string($updateCustomerResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($updateCustomerResult)), __LINE__);
        }
        $this->UpdateCustomerResult = $updateCustomerResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\UpdateCustomerResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\UpdateCustomerResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\UpdateCustomerResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
