<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateJournalResponse StructType
 * @subpackage Structs
 */
class UpdateJournalResponse extends AbstractStructBase
{
    /**
     * The UpdateJournalResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $UpdateJournalResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for UpdateJournalResponse
     * @uses UpdateJournalResponse::setUpdateJournalResult()
     * @uses UpdateJournalResponse::setStatus()
     * @uses UpdateJournalResponse::setStatusDetail()
     * @param int $updateJournalResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($updateJournalResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setUpdateJournalResult($updateJournalResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get UpdateJournalResult value
     * @return int
     */
    public function getUpdateJournalResult()
    {
        return $this->UpdateJournalResult;
    }
    /**
     * Set UpdateJournalResult value
     * @param int $updateJournalResult
     * @return \StructType\UpdateJournalResponse
     */
    public function setUpdateJournalResult($updateJournalResult = null)
    {
        // validation for constraint: int
        if (!is_null($updateJournalResult) && !is_numeric($updateJournalResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($updateJournalResult)), __LINE__);
        }
        $this->UpdateJournalResult = $updateJournalResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\UpdateJournalResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\UpdateJournalResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\UpdateJournalResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
