<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateQuoteResponse StructType
 * @subpackage Structs
 */
class UpdateQuoteResponse extends AbstractStructBase
{
    /**
     * The UpdateQuoteResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $UpdateQuoteResult;
    /**
     * The Status
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Status;
    /**
     * The StatusDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StatusDetail;
    /**
     * Constructor method for UpdateQuoteResponse
     * @uses UpdateQuoteResponse::setUpdateQuoteResult()
     * @uses UpdateQuoteResponse::setStatus()
     * @uses UpdateQuoteResponse::setStatusDetail()
     * @param int $updateQuoteResult
     * @param string $status
     * @param string $statusDetail
     */
    public function __construct($updateQuoteResult = null, $status = null, $statusDetail = null)
    {
        $this
            ->setUpdateQuoteResult($updateQuoteResult)
            ->setStatus($status)
            ->setStatusDetail($statusDetail);
    }
    /**
     * Get UpdateQuoteResult value
     * @return int
     */
    public function getUpdateQuoteResult()
    {
        return $this->UpdateQuoteResult;
    }
    /**
     * Set UpdateQuoteResult value
     * @param int $updateQuoteResult
     * @return \StructType\UpdateQuoteResponse
     */
    public function setUpdateQuoteResult($updateQuoteResult = null)
    {
        // validation for constraint: int
        if (!is_null($updateQuoteResult) && !is_numeric($updateQuoteResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($updateQuoteResult)), __LINE__);
        }
        $this->UpdateQuoteResult = $updateQuoteResult;
        return $this;
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param string $status
     * @return \StructType\UpdateQuoteResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get StatusDetail value
     * @return string|null
     */
    public function getStatusDetail()
    {
        return $this->StatusDetail;
    }
    /**
     * Set StatusDetail value
     * @param string $statusDetail
     * @return \StructType\UpdateQuoteResponse
     */
    public function setStatusDetail($statusDetail = null)
    {
        // validation for constraint: string
        if (!is_null($statusDetail) && !is_string($statusDetail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($statusDetail)), __LINE__);
        }
        $this->StatusDetail = $statusDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\UpdateQuoteResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
