<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VATReport StructType
 * @subpackage Structs
 */
class VATReport extends AbstractStructBase
{
    /**
     * The StartDate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $StartDate;
    /**
     * The EndDate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $EndDate;
    /**
     * The SubmittedToAccounts
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $SubmittedToAccounts;
    /**
     * The SubmittedToHMRC
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $SubmittedToHMRC;
    /**
     * The SubmittedtoHMRCDate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $SubmittedtoHMRCDate;
    /**
     * The Box1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Box1;
    /**
     * The Box2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Box2;
    /**
     * The Box3
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Box3;
    /**
     * The Box4
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Box4;
    /**
     * The Box5
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Box5;
    /**
     * The Box6
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Box6;
    /**
     * The Box7
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Box7;
    /**
     * The Box8
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Box8;
    /**
     * The Box9
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Box9;
    /**
     * The HMRCReference
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $HMRCReference;
    /**
     * Constructor method for VATReport
     * @uses VATReport::setStartDate()
     * @uses VATReport::setEndDate()
     * @uses VATReport::setSubmittedToAccounts()
     * @uses VATReport::setSubmittedToHMRC()
     * @uses VATReport::setSubmittedtoHMRCDate()
     * @uses VATReport::setBox1()
     * @uses VATReport::setBox2()
     * @uses VATReport::setBox3()
     * @uses VATReport::setBox4()
     * @uses VATReport::setBox5()
     * @uses VATReport::setBox6()
     * @uses VATReport::setBox7()
     * @uses VATReport::setBox8()
     * @uses VATReport::setBox9()
     * @uses VATReport::setHMRCReference()
     * @param string $startDate
     * @param string $endDate
     * @param bool $submittedToAccounts
     * @param bool $submittedToHMRC
     * @param string $submittedtoHMRCDate
     * @param float $box1
     * @param float $box2
     * @param float $box3
     * @param float $box4
     * @param float $box5
     * @param float $box6
     * @param float $box7
     * @param float $box8
     * @param float $box9
     * @param string $hMRCReference
     */
    public function __construct($startDate = null, $endDate = null, $submittedToAccounts = null, $submittedToHMRC = null, $submittedtoHMRCDate = null, $box1 = null, $box2 = null, $box3 = null, $box4 = null, $box5 = null, $box6 = null, $box7 = null, $box8 = null, $box9 = null, $hMRCReference = null)
    {
        $this
            ->setStartDate($startDate)
            ->setEndDate($endDate)
            ->setSubmittedToAccounts($submittedToAccounts)
            ->setSubmittedToHMRC($submittedToHMRC)
            ->setSubmittedtoHMRCDate($submittedtoHMRCDate)
            ->setBox1($box1)
            ->setBox2($box2)
            ->setBox3($box3)
            ->setBox4($box4)
            ->setBox5($box5)
            ->setBox6($box6)
            ->setBox7($box7)
            ->setBox8($box8)
            ->setBox9($box9)
            ->setHMRCReference($hMRCReference);
    }
    /**
     * Get StartDate value
     * @return string
     */
    public function getStartDate()
    {
        return $this->StartDate;
    }
    /**
     * Set StartDate value
     * @param string $startDate
     * @return \StructType\VATReport
     */
    public function setStartDate($startDate = null)
    {
        // validation for constraint: string
        if (!is_null($startDate) && !is_string($startDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($startDate)), __LINE__);
        }
        $this->StartDate = $startDate;
        return $this;
    }
    /**
     * Get EndDate value
     * @return string
     */
    public function getEndDate()
    {
        return $this->EndDate;
    }
    /**
     * Set EndDate value
     * @param string $endDate
     * @return \StructType\VATReport
     */
    public function setEndDate($endDate = null)
    {
        // validation for constraint: string
        if (!is_null($endDate) && !is_string($endDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($endDate)), __LINE__);
        }
        $this->EndDate = $endDate;
        return $this;
    }
    /**
     * Get SubmittedToAccounts value
     * @return bool
     */
    public function getSubmittedToAccounts()
    {
        return $this->SubmittedToAccounts;
    }
    /**
     * Set SubmittedToAccounts value
     * @param bool $submittedToAccounts
     * @return \StructType\VATReport
     */
    public function setSubmittedToAccounts($submittedToAccounts = null)
    {
        // validation for constraint: boolean
        if (!is_null($submittedToAccounts) && !is_bool($submittedToAccounts)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($submittedToAccounts)), __LINE__);
        }
        $this->SubmittedToAccounts = $submittedToAccounts;
        return $this;
    }
    /**
     * Get SubmittedToHMRC value
     * @return bool
     */
    public function getSubmittedToHMRC()
    {
        return $this->SubmittedToHMRC;
    }
    /**
     * Set SubmittedToHMRC value
     * @param bool $submittedToHMRC
     * @return \StructType\VATReport
     */
    public function setSubmittedToHMRC($submittedToHMRC = null)
    {
        // validation for constraint: boolean
        if (!is_null($submittedToHMRC) && !is_bool($submittedToHMRC)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($submittedToHMRC)), __LINE__);
        }
        $this->SubmittedToHMRC = $submittedToHMRC;
        return $this;
    }
    /**
     * Get SubmittedtoHMRCDate value
     * @return string
     */
    public function getSubmittedtoHMRCDate()
    {
        return $this->SubmittedtoHMRCDate;
    }
    /**
     * Set SubmittedtoHMRCDate value
     * @param string $submittedtoHMRCDate
     * @return \StructType\VATReport
     */
    public function setSubmittedtoHMRCDate($submittedtoHMRCDate = null)
    {
        // validation for constraint: string
        if (!is_null($submittedtoHMRCDate) && !is_string($submittedtoHMRCDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($submittedtoHMRCDate)), __LINE__);
        }
        $this->SubmittedtoHMRCDate = $submittedtoHMRCDate;
        return $this;
    }
    /**
     * Get Box1 value
     * @return float
     */
    public function getBox1()
    {
        return $this->Box1;
    }
    /**
     * Set Box1 value
     * @param float $box1
     * @return \StructType\VATReport
     */
    public function setBox1($box1 = null)
    {
        $this->Box1 = $box1;
        return $this;
    }
    /**
     * Get Box2 value
     * @return float
     */
    public function getBox2()
    {
        return $this->Box2;
    }
    /**
     * Set Box2 value
     * @param float $box2
     * @return \StructType\VATReport
     */
    public function setBox2($box2 = null)
    {
        $this->Box2 = $box2;
        return $this;
    }
    /**
     * Get Box3 value
     * @return float
     */
    public function getBox3()
    {
        return $this->Box3;
    }
    /**
     * Set Box3 value
     * @param float $box3
     * @return \StructType\VATReport
     */
    public function setBox3($box3 = null)
    {
        $this->Box3 = $box3;
        return $this;
    }
    /**
     * Get Box4 value
     * @return float
     */
    public function getBox4()
    {
        return $this->Box4;
    }
    /**
     * Set Box4 value
     * @param float $box4
     * @return \StructType\VATReport
     */
    public function setBox4($box4 = null)
    {
        $this->Box4 = $box4;
        return $this;
    }
    /**
     * Get Box5 value
     * @return float
     */
    public function getBox5()
    {
        return $this->Box5;
    }
    /**
     * Set Box5 value
     * @param float $box5
     * @return \StructType\VATReport
     */
    public function setBox5($box5 = null)
    {
        $this->Box5 = $box5;
        return $this;
    }
    /**
     * Get Box6 value
     * @return float
     */
    public function getBox6()
    {
        return $this->Box6;
    }
    /**
     * Set Box6 value
     * @param float $box6
     * @return \StructType\VATReport
     */
    public function setBox6($box6 = null)
    {
        $this->Box6 = $box6;
        return $this;
    }
    /**
     * Get Box7 value
     * @return float
     */
    public function getBox7()
    {
        return $this->Box7;
    }
    /**
     * Set Box7 value
     * @param float $box7
     * @return \StructType\VATReport
     */
    public function setBox7($box7 = null)
    {
        $this->Box7 = $box7;
        return $this;
    }
    /**
     * Get Box8 value
     * @return float
     */
    public function getBox8()
    {
        return $this->Box8;
    }
    /**
     * Set Box8 value
     * @param float $box8
     * @return \StructType\VATReport
     */
    public function setBox8($box8 = null)
    {
        $this->Box8 = $box8;
        return $this;
    }
    /**
     * Get Box9 value
     * @return float
     */
    public function getBox9()
    {
        return $this->Box9;
    }
    /**
     * Set Box9 value
     * @param float $box9
     * @return \StructType\VATReport
     */
    public function setBox9($box9 = null)
    {
        $this->Box9 = $box9;
        return $this;
    }
    /**
     * Get HMRCReference value
     * @return string|null
     */
    public function getHMRCReference()
    {
        return $this->HMRCReference;
    }
    /**
     * Set HMRCReference value
     * @param string $hMRCReference
     * @return \StructType\VATReport
     */
    public function setHMRCReference($hMRCReference = null)
    {
        // validation for constraint: string
        if (!is_null($hMRCReference) && !is_string($hMRCReference)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($hMRCReference)), __LINE__);
        }
        $this->HMRCReference = $hMRCReference;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VATReport
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
